/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.businessComponent;

import java.util.List;

import net.simcafamily.paksou.valueObject.BanqueVO;

/**
 * @author bs238
 * 
 */
public interface IBanqueBC {
    /**
     * Persist.
     * 
     * @param transientInstance
     *            the transient instance
     */
    public void persist(BanqueVO transientInstance);

    /**
     * Update.
     * 
     * @param instance
     *            the instance
     */
    public void update(BanqueVO instance);

    /**
     * Delete.
     * 
     * @param persistentInstance
     *            the persistent instance
     */
    public void delete(BanqueVO persistentInstance);

    /**
     * Delete.
     * 
     * @param persistentInstance
     *            the persistent instance
     */
    public void deleteByName(String name);

    /**
     * Merge.
     * 
     * @param detachedInstance
     *            the detached instance
     * 
     * @return the banque VO
     */
    public BanqueVO merge(BanqueVO detachedInstance);

    /**
     * Find by example.
     * 
     * @param instance
     *            the instance
     * 
     * @return the list
     */
    public List<BanqueVO> findByExample(BanqueVO instance);

    /**
     * Find by functional id.
     * 
     * @param nom
     *            the nom
     * 
     * @return the banque VO
     */
    public BanqueVO findByName(String nom);

    /**
     * Retrieve list.
     * 
     * @return the list
     */
    public List<BanqueVO> retrieveList();

}
