/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.businessComponent;

import net.simcafamily.paksou.valueObject.MotCleVO;

/**
 * @author bs238
 * 
 */
public interface IMotCleBC {
    /**
     * Cette methode permet d'identifier des mots cles potentiels dans le libelle de l'operation.
     * 
     * @param pLibelle
     *            libelle de l'operation.
     */
    public String identifierMotCle(final String pLibelle);

    /**
     * Ajouter mot cle.
     * 
     * @param pLibelle
     *            the libelle
     * @param pCategorie
     *            the categorie
     */
    public MotCleVO ajouterMotCle(String pLibelle, String pCategorie);

    /**
     * Supprimer un mot cle a partir de son libelle
     * 
     * @param pValueOf
     */
    public void supprimerParLibelle(String pValueOf);

    /**
     * Recuperer un mot cle a partir de son libelle.
     * 
     * @param pIdMotCle
     * @return
     */
    public MotCleVO recupererMotCle(String pIdMotCle);

}
