/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.businessComponent;

import java.util.Calendar;
import java.util.List;
import java.util.Map;

import net.simcafamily.paksou.valueObject.CategorieVO;
import net.simcafamily.paksou.valueObject.CompteVO;
import net.simcafamily.paksou.valueObject.GroupeVO;
import net.simcafamily.paksou.valueObject.OperationVO;

/**
 * @author bs238
 * 
 */
public interface IOperationBC {

    public void creerOperation(OperationVO pOperationVO);

    public void mettreAJourOperation(OperationVO pOperationVO);

    /**
     * Methode permettant de recuperer la liste des operations par categorie.
     * 
     * @param pCompteVO
     * @param pDateDebut
     * @param pDateFin
     */
    public Map<GroupeVO, Map<CategorieVO, Float>> rechercherListeOperationsParCategories(Calendar pDateDebut,
            Calendar pDateFin, CompteVO pCompteVO);

    public Float calculSommeMontant(final List<OperationVO> pLstOperations);

    /**
     * @param pNumero
     */
    public void deleteByName(Integer pNumero);

    /**
     * @return
     */
    public List<OperationVO> recupererListeOperations();

}
