/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de budgets bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.businessComponent.impl;

import java.util.List;

import net.simcafamily.paksou.businessComponent.IBudgetBC;
import net.simcafamily.paksou.businessObject.IBudgetBO;
import net.simcafamily.paksou.valueObject.BudgetVO;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * business component on the budget
 * 
 * @version $Revision$
 * @author $Author$
 */
public class BudgetBC implements IBudgetBC {
    /** The LOG. */
    private static final Log LOG = LogFactory.getLog(BudgetBC.class);

    /** The categorie BO. */
    private IBudgetBO budgetBO;

    /**
     * @return the budgetBO
     */
    public final IBudgetBO getBudgetBO() {
        return this.budgetBO;
    }

    /**
     * @param pBudgetBO
     *            the budgetBO to set
     */
    public final void setBudgetBO(final IBudgetBO pBudgetBO) {
        this.budgetBO = pBudgetBO;
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IBudgetBC#attachClean(net.simcafamily.paksou.valueObject.BudgetVO)
     */
    public void attachClean(BudgetVO pInstance) {
        this.budgetBO.attachClean(pInstance);

    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IBudgetBC#attachDirty(net.simcafamily.paksou.valueObject.BudgetVO)
     */
    public void attachDirty(BudgetVO pInstance) {
        this.budgetBO.attachDirty(pInstance);

    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IBudgetBC#delete(net.simcafamily.paksou.valueObject.BudgetVO)
     */
    public void delete(BudgetVO pPersistentInstance) {
        this.budgetBO.delete(pPersistentInstance);
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IBudgetBC#deleteByNumber(java.lang.String)
     */
    public void deleteByNumber(String pNumber) {
        this.budgetBO.delete(this.budgetBO.findById(pNumber));
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IBudgetBC#findByExample(net.simcafamily.paksou.valueObject.BudgetVO)
     */
    public List<BudgetVO> findByExample(BudgetVO pInstance) {

        return this.budgetBO.findByExample(pInstance);

    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IBudgetBC#findById(java.lang.String)
     */
    public BudgetVO findById(String pNumero) {

        return this.budgetBO.findById(pNumero);
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IBudgetBC#merge(net.simcafamily.paksou.valueObject.BudgetVO)
     */
    public BudgetVO merge(BudgetVO pDetachedInstance) {

        return this.budgetBO.merge(pDetachedInstance);
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IBudgetBC#persist(net.simcafamily.paksou.valueObject.BudgetVO)
     */
    public void persist(BudgetVO pTransientInstance) {
        this.budgetBO.persist(pTransientInstance);
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IBudgetBC#retrieveList()
     */
    public List<BudgetVO> retrieveList() {

        return this.budgetBO.retrieveList();
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IBudgetBC#deleteByLabel(java.lang.String)
     */
    public void deleteByLabel(String pValueOf) {
        this.budgetBO.delete(this.budgetBO.findById(pValueOf));
    }

}
