/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.businessComponent.impl;

import java.util.List;

import net.simcafamily.paksou.businessComponent.ICompteBC;
import net.simcafamily.paksou.businessObject.ICompteBO;
import net.simcafamily.paksou.valueObject.CompteVO;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * business component on the compte
 * 
 * @version $Revision$
 * @author $Author$
 */
public class CompteBC implements ICompteBC {
    /** The LOG. */
    private static final Log LOG = LogFactory.getLog(CompteBC.class);

    /** The categorie BO. */
    private ICompteBO compteBO;

    /**
     * @return the compteBO
     */
    public final ICompteBO getCompteBO() {
        return this.compteBO;
    }

    /**
     * @param pCompteBO
     *            the compteBO to set
     */
    public final void setCompteBO(final ICompteBO pCompteBO) {
        this.compteBO = pCompteBO;
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.ICompteBC#attachClean(net.simcafamily.paksou.valueObject.CompteVO)
     */
    public void attachClean(CompteVO pInstance) {
        this.compteBO.attachClean(pInstance);

    }

    /**
     * @see net.simcafamily.paksou.businessComponent.ICompteBC#attachDirty(net.simcafamily.paksou.valueObject.CompteVO)
     */
    public void attachDirty(CompteVO pInstance) {
        this.compteBO.attachDirty(pInstance);

    }

    /**
     * @see net.simcafamily.paksou.businessComponent.ICompteBC#delete(net.simcafamily.paksou.valueObject.CompteVO)
     */
    public void delete(CompteVO pPersistentInstance) {
        this.compteBO.delete(pPersistentInstance);
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.ICompteBC#deleteByNumber(java.lang.String)
     */
    public void deleteByNumber(String pNumber) {
        this.compteBO.delete(this.compteBO.findById(pNumber));
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.ICompteBC#findByExample(net.simcafamily.paksou.valueObject.CompteVO)
     */
    public List<CompteVO> findByExample(CompteVO pInstance) {

        return this.compteBO.findByExample(pInstance);

    }

    /**
     * @see net.simcafamily.paksou.businessComponent.ICompteBC#findById(java.lang.String)
     */
    public CompteVO findById(String pNumero) {

        return this.compteBO.findById(pNumero);
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.ICompteBC#merge(net.simcafamily.paksou.valueObject.CompteVO)
     */
    public CompteVO merge(CompteVO pDetachedInstance) {

        return this.compteBO.merge(pDetachedInstance);
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.ICompteBC#persist(net.simcafamily.paksou.valueObject.CompteVO)
     */
    public void persist(CompteVO pTransientInstance) {
        this.compteBO.persist(pTransientInstance);
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.ICompteBC#retrieveList()
     */
    public List<CompteVO> retrieveList() {

        return this.compteBO.retrieveList();
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.ICompteBC#modifierCompte(net.simcafamily.paksou.valueObject.CompteVO)
     */
    public void modifierCompte(CompteVO pCompteVO) {
        this.compteBO.update(pCompteVO);
    }

}
