/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de groupes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.businessComponent.impl;

import java.util.List;

import net.simcafamily.paksou.businessComponent.IGroupeBC;
import net.simcafamily.paksou.businessObject.IGroupeBO;
import net.simcafamily.paksou.valueObject.GroupeVO;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * business component on the groupe
 * 
 * @version $Revision$
 * @author $Author$
 */
public class GroupeBC implements IGroupeBC {
    /** The LOG. */
    private static final Log LOG = LogFactory.getLog(GroupeBC.class);

    /** The categorie BO. */
    private IGroupeBO groupeBO;

    /**
     * @return the groupeBO
     */
    public final IGroupeBO getGroupeBO() {
        return this.groupeBO;
    }

    /**
     * @param pGroupeBO
     *            the groupeBO to set
     */
    public final void setGroupeBO(final IGroupeBO pGroupeBO) {
        this.groupeBO = pGroupeBO;
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IGroupeBC#attachClean(net.simcafamily.paksou.valueObject.GroupeVO)
     */
    public void attachClean(GroupeVO pInstance) {
        this.groupeBO.attachClean(pInstance);

    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IGroupeBC#attachDirty(net.simcafamily.paksou.valueObject.GroupeVO)
     */
    public void attachDirty(GroupeVO pInstance) {
        this.groupeBO.attachDirty(pInstance);

    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IGroupeBC#delete(net.simcafamily.paksou.valueObject.GroupeVO)
     */
    public void delete(GroupeVO pPersistentInstance) {
        this.groupeBO.delete(pPersistentInstance);
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IGroupeBC#deleteByNumber(java.lang.String)
     */
    public void deleteByNumber(String pNumber) {
        this.groupeBO.delete(this.groupeBO.findById(pNumber));
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IGroupeBC#findByExample(net.simcafamily.paksou.valueObject.GroupeVO)
     */
    public List<GroupeVO> findByExample(GroupeVO pInstance) {

        return this.groupeBO.findByExample(pInstance);

    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IGroupeBC#findById(java.lang.String)
     */
    public GroupeVO findById(String pNumero) {

        return this.groupeBO.findById(pNumero);
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IGroupeBC#merge(net.simcafamily.paksou.valueObject.GroupeVO)
     */
    public GroupeVO merge(GroupeVO pDetachedInstance) {

        return this.groupeBO.merge(pDetachedInstance);
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IGroupeBC#persist(net.simcafamily.paksou.valueObject.GroupeVO)
     */
    public void persist(GroupeVO pTransientInstance) {
        this.groupeBO.persist(pTransientInstance);
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IGroupeBC#retrieveList()
     */
    public List<GroupeVO> retrieveList() {

        return this.groupeBO.retrieveList();
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IGroupeBC#deleteByLabel(java.lang.String)
     */
    public void deleteByLabel(String pValueOf) {
        this.groupeBO.delete(this.groupeBO.findById(pValueOf));
    }

    /**
     * @see net.simcafamily.paksou.businessComponent.IGroupeBC#update(net.simcafamily.paksou.valueObject.GroupeVO)
     */
    public void update(GroupeVO pInstance) {
        this.groupeBO.update(pInstance);
    }

    /**
     * (non-Javadoc)
     * 
     * @see net.simcafamily.paksou.businessComponent.IGroupeBC#deleteByName(java.lang.String)
     */
    public void deleteByName(String pValueOf) {
        this.groupeBO.delete(this.groupeBO.findById(pValueOf));
    }

}
