/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.businessObject;

import java.util.List;

import net.simcafamily.paksou.valueObject.LigneBudgetVO;

/**
 * @author bs238
 * 
 */
public interface ILigneBudgetBO {

    /**
     * Persist.
     * 
     * @param ligne
     *            the transient instance
     */
    public void persist(LigneBudgetVO ligne);

    public void update(LigneBudgetVO ligne);

    /**
     * Attach clean.
     * 
     * @param ligne
     *            the instance
     */
    public void attachClean(LigneBudgetVO ligne);

    /**
     * Delete.
     * 
     * @param ligne
     *            the persistent instance
     */
    public void delete(LigneBudgetVO ligne);

    /**
     * Merge.
     * 
     * @param ligne
     *            the detached instance
     * 
     * @return the ligneBudget VO
     */
    public LigneBudgetVO merge(LigneBudgetVO ligne);

    /**
     * Find by id.
     * 
     * @param pNoRefInt
     *            the id
     * 
     * @return the ligneBudget VO
     */
    public LigneBudgetVO findById(java.lang.Integer pNoRefInt);

    /**
     * Find by id.
     * 
     * @param pNoRefInt
     *            the id
     * 
     * @return the ligneBudget VO
     */
    public LigneBudgetVO findByFunctionnalId(String pBudget, String pCategorie);

    /**
     * Find by example.
     * 
     * @param ligne
     *            the instance
     * 
     * @return the list
     */
    public List<LigneBudgetVO> findByExample(LigneBudgetVO ligne);

    /**
     * Charger liste ligneBudgets.
     * 
     * @param lstLigneBudgets
     *            the lst ligneBudgets
     */
    public void chargerListeLigneBudgets(List<LigneBudgetVO> lstLigneBudgets);

}
