package net.simcafamily.paksou.constantes;

import java.util.ResourceBundle;

/**
 * @author $Author: simon@simcafamily.net $
 * @version $Revision: 406 $
 */
public final class ConstantesValeurs {

    /**
     * constructeur inaccessible.
     */
    private ConstantesValeurs() {
    }

    // Liste des vues
    public static final String VUE_ERREURS = "vueErreurs";
    public static final String VUE_LISTE_BANQUES = "vueListeBanques";
    public static final String VUE_LISTE_BUDGETS = "vueListeBudgets";
    public static final String VUE_LISTE_OPERATIONS = "vueListeOperations";
    public static final String VUE_LISTE_CATEGORIES = "vueListeCategories";
    public static final String VUE_LISTE_COMPTES = "vueListeComptes";
    public static final String VUE_LISTE_GROUPES = "vueListeGroupes";

    // liste des actions
    public static final String ACTION_SAISIR = "saisir";
    public static final String ACTION_LISTER_BANQUES = "listerBanques";
    public static final String ACTION_LISTER_BUDGETS = "listerBudgets";
    public static final String ACTION_LISTER_CATEGORIES = "listerCategories";
    public static final String ACTION_LISTER_COMPTES = "listerComptes";
    public static final String ACTION_LISTER_GROUPES = "listerGroupes";
    public static final String ACTION_LISTER_OPERATIONS = "listerOperations";
    public static final String ACTION_CONSULTER = "consulter";
    public static final String ACTION_LISTER_MOT_CLE = "listerMotsCles";
    public static final String ACTION_DETAILLER_BANQUE = "detaillerBanque";
    public static final String ACTION_DETAILLER_BUDGET = "detaillerBudget";
    public static final String ACTION_DETAILLER_COMPTE = "detaillerCompte";
    public static final String ACTION_DETAILLER_GROUPE = "detaillerGroupe";
    public static final String ACTION_DETAILLER_CATEGORIE = "detaillerCategorie";
    public static final String ACTION_DETAILLER_OPERATION = "detaillerOperation";
    public static final String ACTION_DETAILLER_MOT_CLE = "detaillerMotCle";
    public static final String ACTION_EDITER_BUDGET = "editBudget";
    public static final String ACTION_EDITER_GROUPE = "editGroupe";
    public static final String ACTION_EDITER_CATEGORIE = "editCategorie";
    public static final String ACTION_EDITER_OPERATION = "editOperation";
    public static final String ACTION_EDITER_BANQUE = "editerBanque";
    public static final String ACTION_EDITER_MOT_CLE = "editerMotCle";
    public static final String ACTION_EDITER_COMPTE = "editerCompte";

    public static final String ABRV_VIREMENT = ConstantesValeurs.getValeur("abreviation.virement");
    public static final String ABRV_PRELEVEMENT = ConstantesValeurs.getValeur("abreviation.prelevement");
    public static final String ABRV_CARTE = ConstantesValeurs.getValeur("abreviation.carte");
    public static final String ABRV_RETRAIT = ConstantesValeurs.getValeur("abreviation.retrait");
    public static final String STMTTRN = ConstantesValeurs.getValeur("balise.ofx.stmttrn");
    public static final String TRNTYPE = ConstantesValeurs.getValeur("balise.ofx.trntype");
    public static final String DTPOSTED = ConstantesValeurs.getValeur("balise.ofx.dtposted");
    public static final String TRNAMT = ConstantesValeurs.getValeur("balise.ofx.trnamt");
    public static final String FITID = ConstantesValeurs.getValeur("balise.ofx.fitid");
    public static final String NAME = ConstantesValeurs.getValeur("balise.ofx.name");
    public static final String FIN_STMTTRN = ConstantesValeurs.getValeur("balise.ofx.fin.stmttrn");
    public static final String MEMO = ConstantesValeurs.getValeur("balise.ofx.memo");
    public static final String BANKACCTFROM = ConstantesValeurs.getValeur("balise.ofx.bankacctfrom");
    public static final String BANKID = ConstantesValeurs.getValeur("balise.ofx.bankid");
    public static final String BRANCHID = ConstantesValeurs.getValeur("balise.ofx.branchid");
    public static final String ACCTID = ConstantesValeurs.getValeur("balise.ofx.acctid");
    public static final String DATE_IMPORT = ConstantesValeurs.getValeur("balise.ofx.dtserver");

    // Liste des parametres de session.
    public static final String LST_OPERATIONS = "request.param.listeOperations";
    public static final String LST_CATEGORIES = "request.param.lstCategories";
    public static final String LST_COMPTES = "request.param.lstComptes";
    public static final String LST_GROUPES = "request.param.lstGroupes";
    public static final String ID_OPERATION = "request.param.idOperation";
    public static final String ID_MOT_CLE = "request.param.idMotCle";
    public static final String ID_CATEGORIE = "request.param.idCategorie";
    public static final String PARAM_OPERATION = "request.param.operation";
    public static final String PARAM_CATEGORIE = "request.param.categorie";
    public static final String PARAM_CREATION = "request.param.creation";
    public static final String MAP_SYNTHESE = "request.param.mapSynthese";
    public static final String ID_GROUPE = "request.param.idGroupe";
    public static final String PARAM_GROUPE = "request.param.groupe";
    public static final String LST_ETAT_OPERATION = "request.param.lstEtatOperation";
    public static final String LST_SENS_OPERATION = "request.param.lstSensOperation";
    public static final String LST_MOYEN_PAIEMENT = "request.param.lstMoyenPaiement";
    public static final String ID_BANQUE = "request.param.idBanque";
    public static final String PARAM_BANQUE = "request.param.banque";
    public static final String PARAM_BANQUE_NOREFINT = "request.param.banque.norefint";
    public static final String PARAM_BANQUE_NAME = "request.param.banque.name";
    public static final String PARAM_BANQUE_ADRESSE = "request.param.banque.address";
    public static final String PARAM_BANQUE_CONTACT = "request.param.banque.contact";
    public static final String PARAM_BANQUE_TELCONTACT = "request.param.banque.telContact";
    public static final String ID_COMPTE = "request.param.idCompte";
    public static final String ID_BUDGET = "request.param.idBudget";
    public static final String PARAM_GROUPE_LIBELLE = "request.param.groupe.libelle";
    public static final String PARAM_GROUPE_NOREFINT = "request.param.groupe.norefint";
    public static final String PARAM_COMPTE = "request.param.account";
    public static final String PARAM_COMPTE_NUMERO = "request.param.account.number";
    public static final String PARAM_COMPTE_LIBELLE = "request.param.account.label";
    public static final String PARAM_COMPTE_NOM_BANQUE = "request.param.account.bank.name";
    public static final String PARAM_COMPTE_DATE_DERNIER_IMPORT = "request.param.account.lastimportdate";
    public static final String PARAM_BUDGET_LABEL = "request.param.budget.label";
    public static final String PARAM_BUDGET_ACCOUNT_NAME = "request.param.budget.account.name";
    public static final String PARAM_BUDGET_BEGIN_DATE = "request.param.budget.begin.date";
    public static final String PARAM_BUDGET_END_DATE = "request.param.budget.end.date";
    public static final String PARAM_CATEGORIE_LIBELLE = "request.param.categorie.label";
    public static final String PARAM_CATEGORIE_GROUPE_LIBELLE = "request.param.categorie.group.label";
    public static final String PARAM_MOT_CLE_LIBELLE = "request.param.keyword.label";
    public static final String PARAM_MOT_CLE_CREATION_AUTO = "request.param.keyword.auto.creation";

    /**
     * Cette methode permet de recuperer la valeur de la constante.
     * 
     * @param pCle
     * @return
     */
    private static String getValeur(final String pCle) {
        final ResourceBundle bundle = ResourceBundle.getBundle("net/simcafamily/paksou/constantes");
        return bundle.getString(pCle);
    }

}
