/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.presentation;

import net.simcafamily.paksou.presentation.core.BaseControleur;
import net.simcafamily.paksou.spring.ContextFactory;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class Main {

    private static final Log LOGGER = LogFactory.getLog(Main.class);

    public static void main(final String[] args) throws Exception {
        // message de patience
        Main.LOGGER.info("Application en cours d'initialisation. Patientez...");
        try {
            // on instancie le controleur de l'application
            ((BaseControleur) ContextFactory.getContext().getBean("controleur")).run();

        } catch (final Exception ex) {
            // on s'arrete
            Main.abort("Erreur lors de l'initialisation du controleur", ex, 1);
        }
        // execution application
        Main.LOGGER.info("Application lancee...");
    }

    // fin anormale
    private static void abort(final String message, final Exception ex, final int exitCode) throws Exception {
        // on affiche l'erreur
        Main.LOGGER.error(message, ex);
        // on s'arrete
        System.exit(exitCode);
    }

}
