/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.presentation;

import java.util.ArrayList;
import java.util.HashMap;

public class Session {
    // liste de textes
    private ArrayList<String> textes = new ArrayList<String>();;
    // liste d'erreurs
    private ArrayList<String> erreurs = new ArrayList<String>();

    private final HashMap<String, Object> attributes = new HashMap<String, Object>();

    // getters-setters
    /**
     * @return the attributes
     */
    public final Object getAttribute(final String pKey) {
        return this.attributes.get(pKey);
    }

    /**
     * @return the attributes
     */
    public final Integer getIntAttribute(final String pKey) {
        return Integer.getInteger(String.valueOf(this.attributes.get(pKey)));
    }

    /**
     * @return the attributes
     */
    public final String getStringAttribute(final String pKey) {
        return String.valueOf(this.attributes.get(pKey));
    }

    /**
     * @return the attributes
     */
    public final Boolean getBooleanAttribute(final String pKey) {
        if (this.attributes.get(pKey) instanceof Boolean) {
            return (Boolean) this.attributes.get(pKey);
        }
        return Boolean.getBoolean(String.valueOf(this.attributes.get(pKey)));
    }

    /**
     * @param pAttributes
     *            the attributes to set
     */
    public final void setAttribute(final String pKey, final Object pValeur) {
        this.attributes.put(pKey, pValeur);
    }

    public ArrayList<String> getErreurs() {
        return this.erreurs;
    }

    public ArrayList<String> getTextes() {
        return this.textes;
    }

    public void setErreurs(final ArrayList<String> erreurs) {
        this.erreurs = erreurs;
    }

    public void setTextes(final ArrayList<String> textes) {
        this.textes = textes;
    }

}
