/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.presentation.action;

import net.simcafamily.paksou.businessComponent.IOperationBC;
import net.simcafamily.paksou.constantes.ConstantesValeurs;
import net.simcafamily.paksou.presentation.core.AbstractBaseAction;

public class EditerOperation extends AbstractBaseAction {

    private IOperationBC operationBC;

    /**
     * @see net.simcafamily.paksou.presentation.core.AbstractBaseAction#execute()
     */
    @Override
    public String execute() {

        if (false) {
            // on signale une erreur
            getSession().getErreurs().clear();
            getSession().getErreurs().add("La demande de consultation n'a pu aboutir");
            // on rend le resultat [erreurs]
            return ConstantesValeurs.VUE_ERREURS;
        } else {
            // on rend l'etat [consulter]
            return "intro";
        }
    }

    /**
     * @return the operationBC
     */
    public final IOperationBC getOperationBC() {
        return this.operationBC;
    }

    /**
     * @param pBanqueBC
     *            the operationBC to set
     */
    public final void setOperationBC(IOperationBC pBanqueBC) {
        this.operationBC = pBanqueBC;
    }
}
