/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.presentation.core;

import java.awt.Component;

import net.simcafamily.paksou.presentation.Session;

import org.xnap.commons.i18n.I18n;
import org.xnap.commons.i18n.I18nFactory;

/**
 * @author bs238
 * 
 */
public abstract class AbstractVue implements IVue {

    private String nom;
    private String action;
    private Session session;
    protected BaseVueJFrame baseVue;
    protected final I18n i18n = I18nFactory.getI18n(getClass());

    /**
     * 
     */
    public AbstractVue() {
        super();
        // this.baseVue = (BaseVueJFrame) ContextFactory.getContext().getBean("BaseVueJFrame");
    }

    /**
     * @see net.simcafamily.paksou.presentation.core.IVue#affiche()
     */
    public abstract Component affiche();

    /**
     * @see net.simcafamily.paksou.presentation.core.IVue#getAction()
     */
    public String getAction() {
        return this.action;
    }

    /**
     * @see net.simcafamily.paksou.presentation.core.IVue#getNom()
     */
    public String getNom() {
        return this.nom;
    }

    /**
     * @see net.simcafamily.paksou.presentation.core.IVue#setNom(java.lang.String)
     */
    public void setNom(final String pNom) {
        this.nom = pNom;
    }

    /**
     * @return the session
     */
    public final Session getSession() {
        return this.session;
    }

    /**
     * @param pSession
     *            the session to set
     */
    public final void setSession(Session pSession) {
        this.session = pSession;
    }

    /**
     * @return the baseVue
     */
    public final BaseVueJFrame getBaseVue() {
        return this.baseVue;
    }

    /**
     * @param pBaseVue
     *            the baseVue to set
     */
    public final void setBaseVue(BaseVueJFrame pBaseVue) {
        this.baseVue = pBaseVue;
    }

}
