/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.presentation.vues;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Font;

import javax.swing.JPanel;

import net.simcafamily.paksou.presentation.core.AbstractVue;

import org.xnap.commons.i18n.I18n;
import org.xnap.commons.i18n.I18nFactory;

import com.jgoodies.animation.Animation;
import com.jgoodies.animation.Animations;
import com.jgoodies.animation.Animator;
import com.jgoodies.animation.animations.BasicTextAnimation;
import com.jgoodies.animation.animations.BasicTextAnimations;
import com.jgoodies.animation.components.BasicTextLabel;

public class VueIntro extends AbstractVue {
    JPanel contentPane;
    I18n i18n = I18nFactory.getI18n(getClass());
    private Animator animator;

    /**
     * @return the animator
     */
    public final Animator getAnimator() {
        return this.animator;
    }

    // Construire le cadre
    public VueIntro() {
        try {
            this.contentPane = new JPanel(new BorderLayout());
            this.contentPane.setOpaque(false);

            final Font font = new Font("Tahoma", Font.BOLD, 22);
            final BasicTextLabel label1 = new BasicTextLabel(" ");
            label1.setFont(font);
            label1.setBounds(0, 0, 350, 100);
            label1.setOpaque(false);
            this.contentPane.add(BorderLayout.CENTER, label1);

            final Animation welcome = BasicTextAnimation.defaultFade(label1, 2500, this.i18n.tr("Welcome"),
                    Color.darkGray);

            final Animation theJGoodiesAnimation = BasicTextAnimation.defaultFade(label1, 3000, this.i18n.tr("Paksou"),
                    Color.darkGray);

            final Animation description = BasicTextAnimations.defaultFade(label1, label1, 2000, -100, this.i18n
                    .tr("An account managment tool."), Color.darkGray);

            final Animation features = BasicTextAnimation.defaultFade(label1, 3000, this.i18n.tr("Main Features:"),
                    Color.darkGray);

            final Animation featureList = BasicTextAnimations.defaultFade(label1, label1, 1750, 0, "", Color.darkGray);

            final Animation all = Animations.sequential(new Animation[] {
                    Animations.pause(1000), welcome, Animations.pause(1000), theJGoodiesAnimation,
                    Animations.pause(1000), description, Animations.pause(1000), features, Animations.pause(1000),
                    featureList, Animations.pause(1500),
            });

            this.animator = new Animator(all, 30);
            this.animator.start();

        } catch (final Exception e) {
            e.printStackTrace();
        }
    }

    // affiche
    @Override
    public Component affiche() {
        return this.contentPane;
    }

}
