/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.presentation.vues;

import java.awt.Component;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.WindowEvent;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import net.simcafamily.paksou.presentation.core.AbstractVue;

public class VueSaisir extends AbstractVue {
    JPanel contentPane;
    JLabel jLabel1 = new JLabel();
    JTextField jTextFieldSaisie = new JTextField();
    JButton jButtonMemoriser = new JButton();
    JButton jButtonConsulter = new JButton();
    JButton Quitter = new JButton();
    JLabel jLabelEtat = new JLabel();

    // Construire le cadre
    public VueSaisir() {
        try {
            jbInit();
        } catch (final Exception e) {
            e.printStackTrace();
        }
    }

    // Initialiser le composant
    private void jbInit() throws Exception {
    }

    // Redefini, ainsi nous pouvons sortir quand la fenetre est fermee
    protected void processWindowEvent(final WindowEvent e) {
    }

    void jButtonMemoriser_actionPerformed(final ActionEvent e) {
        // on recupere le texte saisi
        final String texte = this.jTextFieldSaisie.getText().trim();
        // on refuse les textes vides
        if ("".equals(texte)) {
            // message d'erreur et retour a la saisie
            // JOptionPane.showMessageDialog(this,
            // "Vous n'avez pas saisi de texte", "Erreur",
            // JOptionPane.INFORMATION_MESSAGE);
            return;
        }
        // on memorise le texte dans la session
        // getSession().getTextes().add(texte);
        // on nettoie
        this.jTextFieldSaisie.setText("");
    }

    void jButtonConsulter_actionPerformed(final ActionEvent e) {
        // on affiche le label d'etat
        this.jLabelEtat.setVisible(true);
        // on passe la main a la classe parent
        // super.executeAction("consulter");
    }

    void Quitter_actionPerformed(final ActionEvent e) {
        // on passe la main a la classe parent
        // super.execute("quitter");
    }

    // affiche
    @Override
    public Component affiche() {
        // on cache le label d'etat
        this.jLabelEtat.setVisible(false);
        // affiche classe parent
        // super.affiche();
        this.contentPane = new JPanel();
        this.jLabel1.setText("Tapez un texte :");
        this.jLabel1.setBounds(new Rectangle(28, 32, 144, 27));
        this.contentPane.setLayout(null);
        this.jTextFieldSaisie.setSelectionStart(11);
        this.jTextFieldSaisie.setText("");
        this.jTextFieldSaisie.setBounds(new Rectangle(28, 79, 287, 28));
        this.jButtonMemoriser.setBounds(new Rectangle(24, 138, 101, 26));
        this.jButtonMemoriser.setToolTipText("");
        this.jButtonMemoriser.setText("Memoriser");
        this.jButtonMemoriser.addActionListener(new VueSaisir_jButtonMemoriser_actionAdapter(this));
        this.jButtonConsulter.setText("Consulter");
        this.jButtonConsulter.addActionListener(new VueSaisir_jButtonConsulter_actionAdapter(this));
        this.jButtonConsulter.setBounds(new Rectangle(142, 138, 101, 26));
        this.jButtonConsulter.setToolTipText("");
        this.jButtonConsulter.setActionCommand("jButton1");
        this.Quitter.setText("Quitter");
        this.Quitter.addActionListener(new VueSaisir_Quitter_actionAdapter(this));
        this.Quitter.setBounds(new Rectangle(259, 138, 101, 26));
        this.Quitter.setToolTipText("");
        this.jLabelEtat.setText("Consultation en cours. Veuillez patienter...");
        this.jLabelEtat.setBounds(new Rectangle(29, 196, 343, 30));
        this.contentPane.add(this.jLabel1, null);
        this.contentPane.add(this.jTextFieldSaisie, null);
        this.contentPane.add(this.jButtonMemoriser, null);
        this.contentPane.add(this.jButtonConsulter, null);
        this.contentPane.add(this.Quitter, null);
        this.contentPane.add(this.jLabelEtat, null);
        return this.contentPane;
    }

    /**
     * @see net.simcafamily.paksou.presentation.core.IVue#getAction()
     */
    @Override
    public String getAction() {
        // TODO Auto-generated method stub
        return null;
    }

    /**
     * @see net.simcafamily.paksou.presentation.core.IVue#getNom()
     */
    @Override
    public String getNom() {
        // TODO Auto-generated method stub
        return null;
    }

    /**
     * @see net.simcafamily.paksou.presentation.core.IVue#setNom(java.lang.String)
     */
    @Override
    public void setNom(final String pNom) {
        // TODO Auto-generated method stub

    }
}

class VueSaisir_jButtonMemoriser_actionAdapter implements java.awt.event.ActionListener {
    VueSaisir adaptee;

    VueSaisir_jButtonMemoriser_actionAdapter(final VueSaisir adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(final ActionEvent e) {
        this.adaptee.jButtonMemoriser_actionPerformed(e);
    }
}

class VueSaisir_jButtonConsulter_actionAdapter implements java.awt.event.ActionListener {
    VueSaisir adaptee;

    VueSaisir_jButtonConsulter_actionAdapter(final VueSaisir adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(final ActionEvent e) {
        this.adaptee.jButtonConsulter_actionPerformed(e);
    }
}

class VueSaisir_Quitter_actionAdapter implements java.awt.event.ActionListener {
    VueSaisir adaptee;

    VueSaisir_Quitter_actionAdapter(final VueSaisir adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(final ActionEvent e) {
        this.adaptee.Quitter_actionPerformed(e);
    }
}
