/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * The Class UtilFichier.
 * 
 * @author $Author: simon.guerard $
 * @version $Revision: 410 $
 */
public class UtilChaine {

    /** The LOGGER. */
    private static final Log LOGGER = LogFactory.getLog(UtilFichier.class);

    /**
     * Permet de convertir une date en chaine de caracteres.
     * 
     * @param date
     *            date a convertir
     * @return Chaine de caracteres.
     */
    public static String date2String(final Calendar pDate) {
        SimpleDateFormat sdf = new SimpleDateFormat("dd-MM-yyyy");
        return sdf.format(pDate);
    }

    /**
     * Permet de convertir une date en chaine de caracteres.
     * 
     * @param date
     *            date a convertir
     * @return Chaine de caracteres.
     */
    public static String date2String(final Date pDate) {
        SimpleDateFormat sdf = new SimpleDateFormat("dd-MM-yyyy");
        return sdf.format(pDate);
    }

    /**
     * Permet de convertir une chaine de caracteres en date.
     * 
     * @param chaine
     *            chaine a convertir
     * @return Date.
     */
    public static Date string2Date(final String pChaine) {
        SimpleDateFormat sdf = new SimpleDateFormat("dd-MM-yyyy");
        try {
            return sdf.parse(pChaine);
        } catch (ParseException e) {
            UtilChaine.LOGGER.error(e, e);
            return null;
        }
    }

}
