/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.valueObject;

// Generated 27 juin 2007 22:05:40 by Hibernate Tools 3.2.0.b9

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 * CompteVO generated by hbm2java.
 * 
 * @author $Author$
 * @version $Revision$
 */
public class CompteVO implements java.io.Serializable {

    /** serialVersionUID. */
    private static final long serialVersionUID = 4916887580744334908L;

    /** The numero. */
    private String numero;

    /** The banque. */
    private BanqueVO banque;

    /** The libelle. */
    private String libelle;

    /** The date dernier import. */
    private Date dateDernierImport;

    /** The operations. */
    private Set<OperationVO> operations = new HashSet<OperationVO>(0);

    /**
     * Constructeur par defaut.
     */
    public CompteVO() {
    }

    /**
     * Constructeur initialisant la cle.
     * 
     * @param pNumero
     */
    public CompteVO(final String pNumero) {
        this.numero = pNumero;
    }

    public void addChild(final OperationVO pOperation) {
        pOperation.setCompte(this);
        this.operations.add(pOperation);
    }

    /**
     * Gets the numero.
     * 
     * @return the numero
     */
    public String getNumero() {
        return this.numero;
    }

    /**
     * Sets the numero.
     * 
     * @param numero
     *            the new numero
     */
    public void setNumero(final String numero) {
        this.numero = numero;
    }

    /**
     * Gets the banque.
     * 
     * @return the banque
     */
    public BanqueVO getBanque() {
        return this.banque;
    }

    /**
     * Sets the banque.
     * 
     * @param banque
     *            the new banque
     */
    public void setBanque(final BanqueVO banque) {
        this.banque = banque;
    }

    /**
     * Gets the libelle.
     * 
     * @return the libelle
     */
    public String getLibelle() {
        return this.libelle;
    }

    /**
     * Sets the libelle.
     * 
     * @param libelle
     *            the new libelle
     */
    public void setLibelle(final String libelle) {
        this.libelle = libelle;
    }

    /**
     * Gets the date dernier import.
     * 
     * @return the date dernier import
     */
    public Date getDateDernierImport() {
        return this.dateDernierImport;
    }

    /**
     * Sets the date dernier import.
     * 
     * @param dateDernierImport
     *            the new date dernier import
     */
    public void setDateDernierImport(final Date dateDernierImport) {
        this.dateDernierImport = dateDernierImport;
    }

    /**
     * Gets the operations.
     * 
     * @return the operations
     */
    public Set<OperationVO> getOperations() {
        return this.operations;
    }

    /**
     * Sets the operations.
     * 
     * @param operations
     *            the new operations
     */
    public void setOperations(final Set<OperationVO> pOperations) {
        this.operations = pOperations;
    }

}
