/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.valueObject;

/**
 * GroupeBO generated by hbm2java.
 * 
 * @author $Author: simon.guerard $
 * @version $Revision: 403 $
 */
public class GroupeVO implements java.io.Serializable, Comparable<GroupeVO> {

    /** serialVersionUID. */
    private static final long serialVersionUID = 5902844055345858575L;

    /** The no ref int. */
    private Integer noRefInt;

    /** The libelle. */
    private String libelle;

    /**
     * Instantiates a new groupe VO.
     */
    public GroupeVO() {
    }

    /**
     * Instantiates a new groupe VO.
     * 
     * @param libelle
     *            the libelle
     */
    public GroupeVO(final String libelle) {
        this.libelle = libelle;
    }

    /**
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(final Object pObj) {
        boolean result = false;
        if (pObj != null && pObj instanceof GroupeVO) {
            result = this.libelle.equals(((GroupeVO) pObj).getLibelle());
        } else {
            result = super.equals(pObj);
        }
        return result;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "GroupeVO : " + this.libelle;
    }

    public int compareTo(final GroupeVO pGroupe) {
        int result = 1;
        if (pGroupe != null) {
            result = this.libelle.compareTo(pGroupe.getLibelle());
        }
        return result;
    }

    /**
     * Gets the no ref int.
     * 
     * @return the no ref int
     */
    public Integer getNoRefInt() {
        return this.noRefInt;
    }

    /**
     * Sets the no ref int.
     * 
     * @param noRefInt
     *            the new no ref int
     */
    public void setNoRefInt(final Integer noRefInt) {
        this.noRefInt = noRefInt;
    }

    /**
     * Gets the libelle.
     * 
     * @return the libelle
     */
    public String getLibelle() {
        return this.libelle;
    }

    /**
     * Sets the libelle.
     * 
     * @param libelle
     *            the new libelle
     */
    public void setLibelle(final String libelle) {
        this.libelle = libelle;
    }

}
