/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.valueObject;

/**
 * GroupeBO generated by hbm2java.
 * 
 * @author $Author: simon@simcafamily.net $
 * @version $Revision: 406 $
 */
@SuppressWarnings("serial")
public class MotCleVO implements java.io.Serializable {

    /** The libelle. */
    private String libelle;

    private Boolean creationAuto;

    /** The categorie. */
    private CategorieVO categorie;

    /**
     * Instantiates a new mot cle VO.
     */
    public MotCleVO() {
    }

    /**
     * Instantiates a new mot cle VO.
     * 
     * @param libelle
     *            the libelle
     */
    public MotCleVO(final String libelle) {
        this.libelle = libelle;
    }

    /**
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(final Object pObj) {
        boolean result = false;
        if (pObj != null && pObj instanceof MotCleVO) {
            result = this.libelle.equals(((MotCleVO) pObj).getLibelle());
        } else {
            result = super.equals(pObj);
        }
        return result;
    }

    /**
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        return super.hashCode();
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "MotCleVO : " + this.libelle;
    }

    /**
     * Gets the categorie.
     * 
     * @return the categorie
     */
    public CategorieVO getCategorie() {
        return this.categorie;
    }

    /**
     * Sets the categorie.
     * 
     * @param categorie
     *            the categorie to set
     */
    public void setCategorie(final CategorieVO categorie) {
        this.categorie = categorie;
    }

    /**
     * Gets the libelle.
     * 
     * @return the libelle
     */
    public String getLibelle() {
        return this.libelle;
    }

    /**
     * Sets the libelle.
     * 
     * @param libelle
     *            the libelle to set
     */
    public void setLibelle(final String libelle) {
        this.libelle = libelle;
    }

    /**
     * @return the creationAuto
     */
    public Boolean getCreationAuto() {
        return this.creationAuto;
    }

    /**
     * @param pCreationAuto
     *            the creationAuto to set
     */
    public void setCreationAuto(final Boolean pCreationAuto) {
        this.creationAuto = pCreationAuto;
    }

}
