/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de compte bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.simcafamily.paksou.valueObject;

// Generated 27 juin 2007 22:05:40 by Hibernate Tools 3.2.0.b9

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

import net.simcafamily.paksou.enumeration.EtatOperation;
import net.simcafamily.paksou.enumeration.MoyenPaiement;
import net.simcafamily.paksou.enumeration.SensOperation;

/**
 * OperationBO generated by hbm2java.
 * 
 * @author $Author: simon.guerard $
 * @version $Revision: 403 $
 */
public class OperationVO implements java.io.Serializable {

    /** serialVersionUID. */
    private static final long serialVersionUID = 4205829621507083445L;

    /** The categorie. */
    private CategorieVO categorie;

    /** The compte. */
    private CompteVO compte;

    /** The date. */
    private Date date;

    /** The etat operation. */
    private EtatOperation etatOperation;

    /** The libelle. */
    private String libelle;

    /** The montant. */
    private Float montant;

    /** The moyen paiement. */
    private MoyenPaiement moyenPaiement;

    /** The identifiant. */
    private Integer identifiant;

    /** The sens operation. */
    private SensOperation sensOperation;

    /** The memo. */
    private String memo;

    private Boolean attribCategAuto;

    private Calendar dateDebutFormatee;

    private Calendar dateFinFormatee;

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        final StringBuffer str = new StringBuffer();
        str.append("identifiant:" + this.identifiant + "\n");
        str.append("date:" + this.date + "\n");
        str.append("libelle:" + this.libelle + "\n");
        if (this.categorie != null) {
            str.append("categorie:" + this.categorie.getLibelle() + "\n");
        }
        if (this.compte != null) {
            str.append("compte:" + this.compte.getNumero() + "\n");
        }
        if (this.etatOperation != null) {
            str.append("etatOperation:" + this.etatOperation.identifiant + "\n");
        }
        str.append("montant:" + this.montant + "\n");
        if (this.moyenPaiement != null) {
            str.append("moyenPaiement:" + this.moyenPaiement.getCodeLabel() + "\n");
        }
        if (this.sensOperation != null) {
            str.append("sensOperation:" + this.sensOperation.getCodeLabel() + "\n");
        }
        str.append("memo:" + this.memo + "\n");
        return str.toString();
    }

    /**
     * Gets the memo.
     * 
     * @return the memo
     */
    public String getMemo() {
        return this.memo;
    }

    /**
     * Sets the memo.
     * 
     * @param memo
     *            the new memo
     */
    public void setMemo(final String memo) {
        this.memo = memo;
    }

    /**
     * Gets the categorie.
     * 
     * @return the categorie
     */
    public CategorieVO getCategorie() {
        return this.categorie;
    }

    /**
     * Gets the compte.
     * 
     * @return the compte
     */
    public CompteVO getCompte() {
        return this.compte;
    }

    /**
     * Gets the date.
     * 
     * @return the date
     */
    public Date getDate() {
        return this.date;
    }

    /**
     * Gets the etat operation.
     * 
     * @return the etat operation
     */
    public EtatOperation getEtatOperation() {
        return this.etatOperation;
    }

    /**
     * Gets the etat operation.
     * 
     * @return the etat operation
     */
    public String getLibEtatOperation() {
        if (this.etatOperation != null) {
            return this.etatOperation.codeLabel;
        } else {
            return null;
        }
    }

    /**
     * Gets the libelle.
     * 
     * @return the libelle
     */
    public String getLibelle() {
        return this.libelle;
    }

    /**
     * Gets the montant.
     * 
     * @return the montant
     */
    public Float getMontant() {
        return this.montant;
    }

    /**
     * Gets the moyen paiement.
     * 
     * @return the moyen paiement
     */
    public MoyenPaiement getMoyenPaiement() {
        return this.moyenPaiement;
    }

    /**
     * Gets the moyen paiement.
     * 
     * @return the moyen paiement
     */
    public String getLibMoyenPaiement() {
        if (this.moyenPaiement != null) {
            return this.moyenPaiement.getCodeLabel();
        }
        return null;
    }

    /**
     * Gets the identifiant.
     * 
     * @return the identifiant
     */
    public Integer getIdentifiant() {
        return this.identifiant;
    }

    /**
     * Gets the sens operation.
     * 
     * @return the sens operation
     */
    public SensOperation getSensOperation() {
        return this.sensOperation;
    }

    /**
     * Gets the sens operation.
     * 
     * @return the sens operation
     */
    public String getLibSensOperation() {
        if (this.sensOperation != null) {
            return this.sensOperation.getCodeLabel();
        }
        return null;
    }

    /**
     * Sets the categorie.
     * 
     * @param categorie
     *            the new categorie
     */
    public void setCategorie(final CategorieVO categorie) {
        this.categorie = categorie;
    }

    public String getLibCategorie() {
        if (this.categorie != null) {
            return this.categorie.getLibelle();
        } else {
            return null;
        }
    }

    /**
     * Renseigne le libelle de la categorie.
     * 
     * @param pLibelle
     *            libelle de la categorie
     */
    public void setLibCategorie(final String pLibelle) {
        this.categorie = new CategorieVO(pLibelle);
    }

    /**
     * Sets the compte.
     * 
     * @param pCompte
     *            the new compte
     */
    public void setCompte(final CompteVO pCompte) {
        this.compte = pCompte;
    }

    /**
     * Sets the compte.
     * 
     * @param pCompte
     *            the new compte
     */
    public void setNumCompte(final String pNumero) {
        this.compte = new CompteVO(pNumero);
    }

    /**
     * Gets the compte.
     * 
     * @param pCompte
     *            the new compte
     */
    public String getNumCompte() {
        if (this.compte != null) {
            return this.compte.getNumero();
        } else {
            return null;
        }
    }

    /**
     * Sets the date.
     * 
     * @param date
     *            the new date
     */
    public void setDate(final Date date) {
        this.date = date;
    }

    /**
     * Sets the etat operation.
     * 
     * @param etatOperation
     *            the new etat operation
     */
    public void setEtatOperation(final EtatOperation etatOperation) {
        this.etatOperation = etatOperation;
    }

    /**
     * Sets the etat operation.
     * 
     * @param etatOperation
     *            the new etat operation
     */
    public void setLibEtatOperation(final String etatOperation) {
        this.etatOperation = EtatOperation.getEtatOperationByCodeLabel(etatOperation);
    }

    /**
     * Sets the libelle.
     * 
     * @param libelle
     *            the new libelle
     */
    public void setLibelle(final String libelle) {
        this.libelle = libelle;
    }

    /**
     * Sets the montant.
     * 
     * @param montant
     *            the new montant
     */
    public void setMontant(final Float montant) {
        this.montant = montant;
    }

    /**
     * Sets the moyen paiement.
     * 
     * @param moyenPaiement
     *            the new moyen paiement
     */
    public void setMoyenPaiement(final MoyenPaiement moyenPaiement) {
        this.moyenPaiement = moyenPaiement;
    }

    /**
     * Sets the moyen paiement.
     * 
     * @param moyenPaiement
     *            the new moyen paiement
     */
    public void setLibMoyenPaiement(final String pMoyenPaiement) {
        this.moyenPaiement = MoyenPaiement.getMoyenPaiementByCodeLabel(pMoyenPaiement);
    }

    /**
     * Sets the identifiant.
     * 
     * @param noRefInt
     *            the new identifiant
     */
    public void setIdentifiant(final Integer noRefInt) {
        this.identifiant = noRefInt;
    }

    /**
     * Sets the sens operation.
     * 
     * @param sensOperation
     *            the new sens operation
     */
    public void setSensOperation(final SensOperation sensOperation) {
        this.sensOperation = sensOperation;
    }

    /**
     * Sets the sens operation.
     * 
     * @param sensOperation
     *            the new sens operation
     */
    public void setLibSensOperation(final String pSensOperation) {
        this.sensOperation = SensOperation.getSensOperationByCodeLabel(pSensOperation);
    }

    /**
     * @return the attribCategAuto
     */
    public Boolean getAttribCategAuto() {
        return this.attribCategAuto;
    }

    /**
     * @param pAtrribCategAuto
     *            the attribCategAuto to set
     */
    public void setAttribCategAuto(final Boolean pAtrribCategAuto) {
        this.attribCategAuto = pAtrribCategAuto;
    }

    /**
     * @return the dateDebutFormatee
     */
    public final String getDateDebutFormatee() {
        if (this.dateDebutFormatee != null) {
            final SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
            return sdf.format(this.dateDebutFormatee.getTime());
        }
        return "";
    }

    /**
     * @param pDateDebutFormatee
     *            the dateDebutFormatee to set
     */
    public final void setDateDebutFormatee(final String pDateDebutFormatee) {
        if (pDateDebutFormatee != null && pDateDebutFormatee.length() > 0) {
            if (this.dateDebutFormatee != null) {
                this.dateDebutFormatee = Calendar.getInstance();
            }
            final SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
            try {
                this.dateDebutFormatee.setTime(sdf.parse(pDateDebutFormatee));
            } catch (final ParseException e) {
                e.printStackTrace();
            }
        }
    }

    /**
     * @return the dateFinFormatee
     */
    public final String getDateFinFormatee() {
        if (this.dateFinFormatee != null) {
            final SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
            return sdf.format(this.dateFinFormatee.getTime());
        }
        return "";
    }

    /**
     * @param pDateFinFormatee
     *            the dateFinFormatee to set
     */
    public final void setDateFinFormatee(final String pDateFinFormatee) {
        if (pDateFinFormatee != null && pDateFinFormatee.length() > 0) {
            if (this.dateFinFormatee != null) {
                this.dateFinFormatee = Calendar.getInstance();
            }
            final SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
            try {
                this.dateFinFormatee.setTime(sdf.parse(pDateFinFormatee));
            } catch (final ParseException e) {
                e.printStackTrace();
            }
        }
    }

}
