-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.45-community-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO,ANSI_QUOTES,MYSQL323' */;


--
-- Create schema Paksou
--

CREATE DATABASE IF NOT EXISTS Paksou;
USE Paksou;

--
-- Definition of table "banque"
--

DROP TABLE IF EXISTS "banque";
CREATE TABLE "banque" (
  "nom" varchar(45) NOT NULL,
  "adresse" varchar(45) default NULL,
  "contact" varchar(45) default NULL,
  "telContact" varchar(45) default NULL,
  PRIMARY KEY  ("nom")
) TYPE=InnoDB;

--
-- Dumping data for table "banque"
--

/*!40000 ALTER TABLE "banque" DISABLE KEYS */;
INSERT INTO "banque" ("nom","adresse","contact","telContact") VALUES 
 ('14706','Credit Agricole Challans',NULL,NULL),
 ('Societe Generale',NULL,NULL,NULL);
/*!40000 ALTER TABLE "banque" ENABLE KEYS */;


--
-- Definition of table "budget"
--

DROP TABLE IF EXISTS "budget";
CREATE TABLE "budget" (
  "libelle" varchar(45) NOT NULL,
  "numeroCompte" varchar(45) NOT NULL,
  "dateDebut" datetime default NULL,
  "dateFin" datetime default NULL,
  PRIMARY KEY  ("libelle"),
  KEY "IDX_CPTE" ("numeroCompte"),
  CONSTRAINT "FK_BUDGET_CPTE" FOREIGN KEY ("numeroCompte") REFERENCES "compte" ("numeroCompte") ON DELETE NO ACTION ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table "budget"
--

/*!40000 ALTER TABLE "budget" DISABLE KEYS */;
INSERT INTO "budget" ("libelle","numeroCompte","dateDebut","dateFin") VALUES 
 ('courant','91028545000',NULL,NULL);
/*!40000 ALTER TABLE "budget" ENABLE KEYS */;


--
-- Definition of table "categorie"
--

DROP TABLE IF EXISTS "categorie";
CREATE TABLE "categorie" (
  "libelle" varchar(45) NOT NULL,
  "groupe" varchar(45) default NULL,
  PRIMARY KEY  ("libelle"),
  KEY "IDX_GRP" ("groupe"),
  CONSTRAINT "FK_CATEG_GRP" FOREIGN KEY ("groupe") REFERENCES "groupecategorie" ("libelle") ON DELETE NO ACTION ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table "categorie"
--

/*!40000 ALTER TABLE "categorie" DISABLE KEYS */;
INSERT INTO "categorie" ("libelle","groupe") VALUES 
 ('Assurance',NULL),
 ('Cadeau',NULL),
 ('Coiffeur',NULL),
 ('Donation',NULL),
 ('Epargne',NULL),
 ('Frais Bancaire',NULL),
 ('Habillement',NULL),
 ('Prelevement',NULL),
 ('Retrait espece',NULL),
 ('Virement',NULL),
 ('Bouffe','Alimentation'),
 ('Restaurant','Alimentation'),
 ('Restaurant Entreprise','Alimentation'),
 ('Eau','Charges'),
 ('Electricite','Charges'),
 ('Gaz','Charges'),
 ('Internet','Charges'),
 ('Telephone','Charges'),
 ('Cinema','Loisirs'),
 ('Librairie','Loisirs'),
 ('Loisirs','Loisirs'),
 ('Maison','Maison'),
 ('Travaux','Maison'),
 ('Pharmacie','Sante'),
 ('Essence','Transport'),
 ('Peage','Transport'),
 ('Train','Transport'),
 ('Transport en Commun','Transport'),
 ('Voiture','Transport');
/*!40000 ALTER TABLE "categorie" ENABLE KEYS */;


--
-- Definition of table "compte"
--

DROP TABLE IF EXISTS "compte";
CREATE TABLE "compte" (
  "numeroCompte" varchar(45) NOT NULL,
  "libelle" varchar(45) default NULL,
  "banque" varchar(45) NOT NULL,
  "dateDernierImport" datetime default NULL,
  PRIMARY KEY  ("numeroCompte"),
  KEY "IDX_BQE" ("banque"),
  CONSTRAINT "FK_COMPTES_BQE" FOREIGN KEY ("banque") REFERENCES "banque" ("nom") ON DELETE NO ACTION ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table "compte"
--

/*!40000 ALTER TABLE "compte" DISABLE KEYS */;
INSERT INTO "compte" ("numeroCompte","libelle","banque","dateDernierImport") VALUES 
 ('00008517487',NULL,'14706',NULL),
 ('90774529205',NULL,'14706',NULL),
 ('90774561000','Compte courant commun','14706',NULL),
 ('90774561205',NULL,'14706',NULL),
 ('90774561210',NULL,'14706',NULL),
 ('90774561320',NULL,'14706',NULL),
 ('91028545000','compte courant perso','14706',NULL);
/*!40000 ALTER TABLE "compte" ENABLE KEYS */;


--
-- Definition of table "groupecategorie"
--

DROP TABLE IF EXISTS "groupecategorie";
CREATE TABLE "groupecategorie" (
  "libelle" varchar(45) NOT NULL,
  PRIMARY KEY  ("libelle")
) TYPE=InnoDB;

--
-- Dumping data for table "groupecategorie"
--

/*!40000 ALTER TABLE "groupecategorie" DISABLE KEYS */;
INSERT INTO "groupecategorie" ("libelle") VALUES 
 ('Alimentation'),
 ('Charges'),
 ('Loisirs'),
 ('Maison'),
 ('Sante'),
 ('Transport');
/*!40000 ALTER TABLE "groupecategorie" ENABLE KEYS */;


--
-- Definition of table "lignesbudget"
--

DROP TABLE IF EXISTS "lignesbudget";
CREATE TABLE "lignesbudget" (
  "noRefInt" int(10) unsigned NOT NULL,
  "budget" varchar(45) NOT NULL,
  "categorie" varchar(45) NOT NULL,
  "montant" float NOT NULL,
  "sensOperation" varchar(45) NOT NULL,
  PRIMARY KEY  ("noRefInt"),
  KEY "IDX_BUDGET" ("budget"),
  KEY "IDX_CATEG" ("categorie"),
  CONSTRAINT "FK_BUDGET_CATEG" FOREIGN KEY ("categorie") REFERENCES "categorie" ("libelle") ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT "FK_LIGNE_BUDGET" FOREIGN KEY ("budget") REFERENCES "budget" ("libelle") ON DELETE NO ACTION ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table "lignesbudget"
--

/*!40000 ALTER TABLE "lignesbudget" DISABLE KEYS */;
INSERT INTO "lignesbudget" ("noRefInt","budget","categorie","montant","sensOperation") VALUES 
 (1,'courant','Travaux',20,'DEBIT');
/*!40000 ALTER TABLE "lignesbudget" ENABLE KEYS */;


--
-- Definition of table "motscles"
--

DROP TABLE IF EXISTS "motscles";
CREATE TABLE "motscles" (
  "libelle" varchar(45) NOT NULL,
  "categorie" varchar(45) NOT NULL,
  "creationAuto" tinyint(1) NOT NULL,
  PRIMARY KEY  ("libelle"),
  KEY "IDX_CATEG" ("categorie"),
  CONSTRAINT "FK_MOTCLE_CTG" FOREIGN KEY ("categorie") REFERENCES "categorie" ("libelle") ON DELETE NO ACTION ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table "motscles"
--

/*!40000 ALTER TABLE "motscles" DISABLE KEYS */;
INSERT INTO "motscles" ("libelle","categorie","creationAuto") VALUES 
 ('AMENDES CSA WEB ','Voiture',1),
 ('ARCAZI CHAUSSUR','Habillement',0),
 ('ASSURANCE','Assurance',0),
 ('AU FOUR GAULOIS','Restaurant',0),
 ('AUCHAN STATION','Essence',0),
 ('AUTOROUTE DU SUD','Peage',0),
 ('BOUL PAUL','Restaurant',0),
 ('BOULANG DES ECHO','Restaurant',0),
 ('BRASS.L\'INDUSTRI','Restaurant',0),
 ('BRASSERIE MOULIN','Restaurant',0),
 ('BRICOMARCHE','Travaux',0),
 ('BROUARD CLAUDE','Bouffe',0),
 ('BUREAU VALLEE','Maison',0),
 ('CARREFOUR  STAT','Essence',0),
 ('CARREFOURSTATION','Essence',0),
 ('CENTRE LECLERC','Bouffe',0),
 ('CHEZ LES FILLES','Restaurant',0),
 ('CHEZ MAMAN','Restaurant',0),
 ('CINEBANK - JETON','Cinema',0),
 ('COFIROUTE','Peage',0),
 ('COTIS CARTE GOLD','Frais Bancaire',0),
 ('CREDIPAR','Voiture',0),
 ('DAC SUPER U','Essence',0),
 ('DECATHLON','Habillement',0),
 ('DESPRET PRESSE','Librairie',0),
 ('ECH  PRET','Frais Bancaire',0),
 ('EDF','Electricite',0),
 ('ESPACE ARAGO','Restaurant Entreprise',0),
 ('ESPACE CULTUREL','Loisirs',0),
 ('FILIA-MAIF','Assurance',0),
 ('FNAC','Loisirs',0),
 ('FNAC\\.COM        ','Loisirs',0),
 ('FRANCE ARNO','Habillement',0),
 ('FREE','Internet',0),
 ('GAZ DE FRANCE','Gaz',0),
 ('GIFI','Maison',0),
 ('HYPER U','Bouffe',0),
 ('HYPER U - DAC','Essence',0),
 ('HYPER U AIZENAY','Bouffe',0),
 ('HYPER U STATION','Essence',0),
 ('INTERMARCHE STA','Essence',0),
 ('JB SERVICE','Travaux',0),
 ('JULES','Habillement',0),
 ('KILOUTOU SA','Travaux',0),
 ('KIOSQUE PIZZAS','Restaurant',0),
 ('L\'ECREVISSE','Restaurant',0),
 ('LA CIGALE','Restaurant',0),
 ('LA CORVETTE','Restaurant',0),
 ('LA FLORENTINE','Restaurant',0),
 ('LA GUINGUETTE','Restaurant',0),
 ('LA HALLE','Habillement',0),
 ('LA PALETTE','Restaurant',0),
 ('LA TABLE NOMADE','Restaurant',0),
 ('LA TERRASSE','Restaurant',0),
 ('LE CLUB         ','Cinema',1),
 ('LE NAPOLI','Restaurant',0),
 ('LECLERC STATION','Essence',0),
 ('LECLERC \\/ DAC','Essence',0),
 ('LES P\'TITES COTE','Restaurant',0),
 ('LIB L ATALANTE','Librairie',0),
 ('MAGASIN NICOLAS ','Cadeau',1),
 ('MALEO','Restaurant',0),
 ('MSF','Donation',0),
 ('ORANGE','Telephone',0),
 ('PASTEL CADRE','Loisirs',0),
 ('PEUGEOT','Voiture',0),
 ('PHARMACIE BITAUD','Pharmacie',0),
 ('PHIE DE LA MARIN','Pharmacie',0),
 ('PICARD SURGELES','Bouffe',0),
 ('PONTS TANC-NORM','Peage',0),
 ('PREDICA','Assurance',0),
 ('PRLV   ASS PACIFICA','Assurance',0),
 ('PRLV ASS PACIFICA','Assurance',0),
 ('QUICK','Restaurant',0),
 ('REL.MONTSTMICHEL','Essence',0),
 ('RELAIS FNAC','Loisirs',0),
 ('RESTAURECO','Restaurant Entreprise',0),
 ('RET','Retrait espece',0),
 ('RET\\.DAB','Retrait espece',0),
 ('SALON ARAMIS','Coiffeur',0),
 ('SANEF','Peage',0),
 ('SAPN','Peage',0),
 ('SAUR','Eau',0),
 ('SEMITAN','Transport en Commun',0),
 ('SHELL','Essence',0),
 ('SNCF TPV','Train',0),
 ('SNCFTPV','Train',0),
 ('SOUSCR\\.','Epargne',0),
 ('TAN 700 44 NANTE','Transport en Commun',0),
 ('TARTINE   GOURMA','Restaurant',0),
 ('VERSEMENT PEA','Epargne',0),
 ('VIR\\.','Virement',0),
 ('WEBSNCF','Train',0),
 ('WEST GRILL','Restaurant',0),
 ('\\*\\*COTIS CS CONFORT','Frais Bancaire',0);
/*!40000 ALTER TABLE "motscles" ENABLE KEYS */;


--
-- Definition of table "operation"
--

DROP TABLE IF EXISTS "operation";
CREATE TABLE "operation" (
  "noRefInt" int(10) unsigned NOT NULL,
  "date" datetime NOT NULL,
  "etatOperation" varchar(45) default NULL,
  "montant" float NOT NULL,
  "libelle" varchar(45) default NULL,
  "sensOperation" varchar(45) NOT NULL,
  "moyenPaiement" varchar(45) default NULL,
  "categorie" varchar(45) default NULL,
  "numCompte" varchar(45) NOT NULL,
  "memo" varchar(45) default NULL,
  "atrribCategAuto" tinyint(1) default NULL,
  PRIMARY KEY  ("noRefInt"),
  KEY "IDX_CPTE" ("numCompte"),
  KEY "IDX_CATEG" ("categorie"),
  CONSTRAINT "FK_OPE_CATEG" FOREIGN KEY ("categorie") REFERENCES "categorie" ("libelle") ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT "FK_OPE_CPTE" FOREIGN KEY ("numCompte") REFERENCES "compte" ("numeroCompte") ON DELETE NO ACTION ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table "operation"
--

/*!40000 ALTER TABLE "operation" DISABLE KEYS */;
INSERT INTO "operation" ("noRefInt","date","etatOperation","montant","libelle","sensOperation","moyenPaiement","categorie","numCompte","memo","atrribCategAuto") VALUES 
 (1,'2007-06-06 00:00:00','EFFECTIF',-14.54,'SOUSCR. 0 107 CPR REFLEX 70 FCP','DEBIT','AUTRE','Epargne','00008517487','.',0),
 (2,'2007-06-06 00:00:00','EFFECTIF',-14.68,'SOUSCR. 0 157 CAAM ACTIVALEURS D','DEBIT','AUTRE','Epargne','00008517487','.',1),
 (3,'2007-06-06 00:00:00','EFFECTIF',-14.62,'SOUSCR. 0 089 CAAM MICROCAPS EUR','DEBIT','AUTRE','Epargne','00008517487','.',1),
 (4,'2007-06-06 00:00:00','EFFECTIF',43.84,'VERSEMENT PEA','CREDIT','AUTRE','Epargne','00008517487','.',0),
 (5,'2007-07-04 00:00:00','EFFECTIF',-14.59,'SOUSCR. 0 087 CAAM MICROCAPS EUR','DEBIT','AUTRE','Epargne','00008517487','.',1),
 (6,'2007-07-04 00:00:00','EFFECTIF',-14.52,'SOUSCR. 0 108 CPR REFLEX 70 FCP','DEBIT','AUTRE','Epargne','00008517487','.',1),
 (7,'2007-07-04 00:00:00','EFFECTIF',-14.57,'SOUSCR. 0 159 CAAM ACTIVALEURS D','DEBIT','AUTRE','Epargne','00008517487','.',1),
 (8,'2007-07-04 00:00:00','EFFECTIF',43.68,'VERSEMENT PEA','CREDIT','AUTRE','Epargne','00008517487','.',1),
 (9,'2007-08-06 00:00:00','EFFECTIF',-14.35,'SOUSCR. 0 086 CAAM MICROCAPS EUR','DEBIT','AUTRE','Epargne','00008517487','.',1),
 (10,'2007-08-06 00:00:00','EFFECTIF',-14.35,'SOUSCR. 0 11 CPR REFLEX 70 FCP 3','DEBIT','AUTRE','Epargne','00008517487','.',1),
 (11,'2007-08-06 00:00:00','EFFECTIF',-14.39,'SOUSCR. 0 164 CAAM ACTIVALEURS D','DEBIT','AUTRE','Epargne','00008517487','.',1),
 (12,'2007-08-06 00:00:00','EFFECTIF',43.09,'VERSEMENT PEA','CREDIT','AUTRE','Epargne','00008517487','.',1),
 (13,'2007-09-05 00:00:00','EFFECTIF',-14.58,'SOUSCR. 0 111 CPR REFLEX 70 FCP','DEBIT','AUTRE','Epargne','00008517487','.',1),
 (14,'2007-09-05 00:00:00','EFFECTIF',-14.55,'SOUSCR. 0 089 CAAM MICROCAPS EUR','DEBIT','AUTRE','Epargne','00008517487','.',1),
 (15,'2007-09-05 00:00:00','EFFECTIF',-14.75,'SOUSCR. 0 168 CAAM ACTIVALEURS D','DEBIT','AUTRE','Epargne','00008517487','.',1),
 (16,'2007-09-05 00:00:00','EFFECTIF',43.88,'VERSEMENT PEA','CREDIT','AUTRE','Epargne','00008517487','.',1),
 (2000001,'2007-08-31 00:00:00','EFFECTIF',45,'VIR. ECH 070831','CREDIT','AUTRE','Virement','90774561320','.',0),
 (2000002,'2007-04-02 00:00:00','EFFECTIF',500,'VIR.GUERARD SIMON-MLE NIMAL CARO','CREDIT','DIRECTDEP','Virement','91028545000','.',0),
 (2000003,'2007-04-05 00:00:00','EFFECTIF',-260,'VIR.GUERARD  SIMON','DEBIT','AUTRE','Virement','91028545000','.',1),
 (2000004,'2007-04-05 00:00:00','EFFECTIF',-10,'PRLV   MSF','DEBIT','CARTE','Donation','91028545000','NR 000029801100 NC 03420363',0),
 (2000005,'2007-04-16 00:00:00','EFFECTIF',-79.71,'PRLV   CREDIPAR PEUGEOT','DEBIT','CARTE','Voiture','91028545000','*100D6669420 32 150407',0),
 (2000006,'2007-04-20 00:00:00','EFFECTIF',-2.6,'**COTIS CS CONFORT','DEBIT','AUTRE','Frais Bancaire','91028545000','.',0),
 (2000007,'2007-05-02 00:00:00','EFFECTIF',500,'VIR.GUERARD SIMON-MLE NIMAL CARO','CREDIT','DIRECTDEP','Virement','91028545000','.',1),
 (2000008,'2007-05-05 00:00:00','EFFECTIF',-260,'VIR.VOITURE XSARA','DEBIT','AUTRE','Virement','91028545000','.',1),
 (2000009,'2007-05-08 22:00:00','EFFECTIF',-2.6,'**COTIS CS CONFORT','DEBIT','AUTRE','Frais Bancaire','91028545000','.',0),
 (2000010,'2007-05-09 00:00:00','EFFECTIF',-10,'PRLV   MSF','DEBIT','CARTE','Donation','91028545000','NR 000030114703 NC 03420363',1),
 (2000011,'2007-05-15 00:00:00','EFFECTIF',-250,'VIR.M.MME GUERARD SIMON NIMAL CA','DEBIT','XFER','Virement','91028545000','CERF-VOLANT',1),
 (2000012,'2007-05-15 00:00:00','EFFECTIF',-79.71,'PRLV   CREDIPAR PEUGEOT','DEBIT','CARTE','Voiture','91028545000','*100D6669420 32 150507',1),
 (2000013,'2007-05-18 00:00:00','EFFECTIF',-300,'VIR.M.MME GUERARD SIMON NIMAL CA','DEBIT','XFER','Virement','91028545000','INTERNET',1),
 (2000014,'2007-05-26 00:00:00','EFFECTIF',-200,'VIR.M.MME GUERARD SIMON NIMAL CA','DEBIT','XFER','Virement','91028545000','COMPLEMENT',1),
 (2000015,'2007-06-01 00:00:00','EFFECTIF',400,'VIR.GUERARD SIMON-MLE NIMAL CARO','CREDIT','DIRECTDEP','Virement','91028545000','.',1),
 (2000016,'2007-06-02 00:00:00','EFFECTIF',-255,'VIR.M.MME GUERARD SIMON NIMAL CA','DEBIT','XFER','Virement','91028545000','BON DECATHLON',1),
 (2000017,'2007-06-05 00:00:00','EFFECTIF',-260,'VIR.VOITURE XSARA','DEBIT','AUTRE','Virement','91028545000','.',1),
 (2000018,'2007-06-06 00:00:00','EFFECTIF',-2.6,'**COTIS CS CONFORT','DEBIT','AUTRE','Frais Bancaire','91028545000','.',1),
 (2000019,'2007-06-06 00:00:00','EFFECTIF',-10,'PRLV   MSF','DEBIT','CARTE','Donation','91028545000','NR 000030427906 NC 03420363',1),
 (2000020,'2007-06-15 00:00:00','EFFECTIF',-79.71,'PRLV   CREDIPAR PEUGEOT','DEBIT','CARTE','Voiture','91028545000','*100D6669420 32 150607',1),
 (2000021,'2007-07-02 00:00:00','EFFECTIF',400,'VIR.GUERARD SIMON-MLE NIMAL CARO','CREDIT','DIRECTDEP','Virement','91028545000','.',1),
 (2000022,'2007-07-05 00:00:00','EFFECTIF',-260,'VIR.VOITURE XSARA','DEBIT','AUTRE','Virement','91028545000','.',1),
 (2000023,'2007-07-05 00:00:00','EFFECTIF',-10,'PRLV   MSF','DEBIT','CARTE','Donation','91028545000','NR 000030740617 NC 03420363',0),
 (2000024,'2007-07-09 00:00:00','EFFECTIF',-2.6,'**COTIS CS CONFORT','DEBIT','AUTRE','Frais Bancaire','91028545000','.',1),
 (2000025,'2007-07-09 22:00:00','EFFECTIF',-1.1,'INT. DEBITEURS (TEG: 15 784  )','DEBIT','AUTRE','Frais Bancaire','91028545000','.',0),
 (2000026,'2007-07-16 00:00:00','EFFECTIF',-79.71,'PRLV   CREDIPAR PEUGEOT','DEBIT','CARTE','Voiture','91028545000','*100D6669420 32 150707',1),
 (2000027,'2007-08-01 00:00:00','EFFECTIF',400,'VIR.GUERARD SIMON-MLE NIMAL CARO','CREDIT','DIRECTDEP','Virement','91028545000','.',1),
 (2000028,'2007-08-04 00:00:00','EFFECTIF',100,'VIR.GUERARD SIMON NIMAL CAROLI','CREDIT','DIRECTDEP','Virement','91028545000','INTERNET',1),
 (2000029,'2007-08-06 00:00:00','EFFECTIF',-260,'VIR.VOITURE XSARA','DEBIT','AUTRE','Virement','91028545000','.',1),
 (2000030,'2007-08-06 00:00:00','EFFECTIF',-10,'PRLV   MSF','DEBIT','CARTE','Donation','91028545000','NR 000031058403 NC 03420363',1),
 (2000031,'2007-08-07 00:00:00','EFFECTIF',-2.6,'**COTIS CS CONFORT','DEBIT','AUTRE','Frais Bancaire','91028545000','.',1),
 (2000032,'2007-08-16 00:00:00','EFFECTIF',-79.71,'PRLV   CREDIPAR PEUGEOT','DEBIT','CARTE','Voiture','91028545000','*100D6669420 32 150807',1),
 (2000033,'2007-09-01 00:00:00','EFFECTIF',350,'VIR.GUERARD SIMON-MLE NIMAL CARO','CREDIT','DIRECTDEP','Virement','91028545000','.',1),
 (2000034,'2007-09-01 00:00:00','EFFECTIF',350,'VIR.GUERARD SIMON-MLE NIMAL CARO','CREDIT','DIRECTDEP','Virement','91028545000','.',1),
 (2000035,'2007-09-03 00:00:00','EFFECTIF',-350,'VIR.M.MME GUERARD SIMON NIMAL CA','DEBIT','XFER','Virement','91028545000','ANNULATION VIREMENT EN TROP',1),
 (2000036,'2007-09-05 00:00:00','EFFECTIF',-260,'VIR.VOITURE XSARA','DEBIT','AUTRE','Virement','91028545000','.',1),
 (2000037,'2007-09-05 00:00:00','EFFECTIF',-10,'PRLV   MSF','DEBIT','CARTE','Donation','91028545000','NR 000031371158 NC 03420363',1),
 (2000038,'2007-09-10 00:00:00','EFFECTIF',-2.6,'**COTIS CS CONFORT','DEBIT','AUTRE','Frais Bancaire','91028545000','.',1),
 (2000287,'2007-06-06 00:00:00','EFFECTIF',-2.6,'**COTIS CS CONFORT','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000288,'2007-06-06 00:00:00','EFFECTIF',-43.84,'VERSEMENT PEA','DEBIT','AUTRE','Epargne','90774561000','.',1),
 (2000289,'2007-06-06 00:00:00','EFFECTIF',-43.84,'VERSEMENT PEA','DEBIT','AUTRE','Epargne','90774561000','.',1),
 (2000290,'2007-06-05 20:00:00','EFFECTIF',-58.72,'PRLVT ASSURANCE PRET','DEBIT','AUTRE','Assurance','90774561000','.',0),
 (2000291,'2007-06-06 00:00:00','EFFECTIF',-30,'CHQ.6125641','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000292,'2007-06-06 00:00:00','EFFECTIF',-50,'CHQ.6125644','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000293,'2007-06-05 22:00:00','EFFECTIF',-12.3,'CARTE WEST GRILL       05/06/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000294,'2007-06-07 00:00:00','EFFECTIF',-213.95,'PRLV   FILIA-MAIF 79076 NIORT C','DEBIT','CARTE','Assurance','90774561000','6013839J',1),
 (2000295,'2007-06-06 22:00:00','EFFECTIF',-10,'CARTE BRASS.L\'INDUSTRI 06/06/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000296,'2007-06-06 22:00:00','EFFECTIF',-39.8,'CARTE SEMITAN          01/06/07','DEBIT',NULL,'Transport en Commun','90774561000','.',0),
 (2000297,'2007-06-06 22:00:00','EFFECTIF',-42.22,'CARTE LECLERC STATION  06/06/07','DEBIT',NULL,'Essence','90774561000','.',0),
 (2000298,'2007-06-08 00:00:00','EFFECTIF',-18.38,'COTIS CARTE VISA D.I.','DEBIT',NULL,'Essence','90774561000','.',0),
 (2000299,'2007-06-08 00:00:00','EFFECTIF',-41.07,'CARTE HYPER U - DAC    07/06/07','DEBIT',NULL,'Essence','90774561000','.',1),
 (2000300,'2007-06-10 22:00:00','EFFECTIF',-85.5,'COTIS CARTE GOLD D.I.','DEBIT',NULL,'Frais Bancaire','90774561000','.',0),
 (2000301,'2007-06-11 00:00:00','EFFECTIF',-17.76,'PRLV   ASS PACIFICA','DEBIT','CARTE','Assurance','90774561000','4338049067580906022ASS PACIFICA',0),
 (2000302,'2007-06-11 00:00:00','EFFECTIF',-8.8,'CARTE SALON ARAMIS     09/06/07','DEBIT',NULL,'Coiffeur','90774561000','.',0),
 (2000303,'2007-06-11 00:00:00','EFFECTIF',-10.1,'CARTE TAN 700 44 NANTE 09/06/07','DEBIT',NULL,'Transport en Commun','90774561000','.',0),
 (2000304,'2007-06-10 22:00:00','EFFECTIF',-17.4,'CARTE LA CIGALE        10/06/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000305,'2007-06-11 00:00:00','EFFECTIF',-20,'RET DAB BELEM           090607','DEBIT',NULL,'Retrait espece','90774561000','.',1),
 (2000306,'2007-06-11 00:00:00','EFFECTIF',-23.8,'CARTE LA GUINGUETTE    09/06/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000307,'2007-06-11 00:00:00','EFFECTIF',-32.3,'CARTE LIB L ATALANTE   09/06/07','DEBIT',NULL,'Librairie','90774561000','.',0),
 (2000308,'2007-06-11 00:00:00','EFFECTIF',-55.26,'CARTE CENTRE LECLERC   09/06/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000309,'2007-06-11 00:00:00','EFFECTIF',-69.9,'CARTE DECATHLON.100    09/06/07','DEBIT',NULL,'Habillement','90774561000','.',0),
 (2000310,'2007-06-11 00:00:00','EFFECTIF',-279.91,'CARTE RELAIS FNAC      09/06/07','DEBIT',NULL,'Loisirs','90774561000','.',0),
 (2000311,'2007-06-12 00:00:00','EFFECTIF',-31.26,'PRLV   FREE TELECOM','DEBIT','CARTE','Internet','90774561000','FREE HAUTDEBIT 68159472',1),
 (2000312,'2007-06-12 00:00:00','EFFECTIF',-10,'CARTE BRASS.L\'INDUSTRI 11/06/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000313,'2007-06-12 22:00:00','EFFECTIF',-27.8,'CARTE CHEZ MAMAN       12/06/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000314,'2007-06-13 00:00:00','EFFECTIF',-20,'RET DAB NANTES DECRE    120607','DEBIT',NULL,'Retrait espece','90774561000','.',1),
 (2000315,'2007-06-14 00:00:00','EFFECTIF',-21,'CHQ.6125707','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000316,'2007-06-13 22:00:00','EFFECTIF',-9,'CARTE LES P\'TITES COTE 13/06/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000317,'2007-06-15 00:00:00','EFFECTIF',-24,'PRLV   EDF PRELEVTS VENDEE','DEBIT','CARTE','Electricite','90774561000','*138730520299 14316 739 EDF PR',1),
 (2000318,'2007-06-15 00:00:00','EFFECTIF',104.2,'VIR    ATOS ORIGIN INTEG  SAS','CREDIT','DIRECTDEP','Virement','90774561000',')0000235596',1),
 (2000319,'2007-06-15 00:00:00','EFFECTIF',-11,'CARTE FD ASSO          14/06/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000320,'2007-06-15 00:00:00','EFFECTIF',-47.18,'CARTE LECLERC STATION  14/06/07','DEBIT',NULL,'Essence','90774561000','.',1),
 (2000321,'2007-06-16 00:00:00','EFFECTIF',400,'VIR.NIMAL*CAROLINE','CREDIT','DIRECTDEP','Virement','90774561000','INTERNET',1),
 (2000322,'2007-06-18 00:00:00','EFFECTIF',-45,'PRLV   PREDICA PREDISSIME 9','DEBIT','CARTE','Assurance','90774561000','*84700008517496*001UCM93',1),
 (2000323,'2007-06-18 00:00:00','EFFECTIF',-45,'PRLV   PREDICA PREDISSIME 9','DEBIT','CARTE','Assurance','90774561000','*84700002979760*001UCM93',1),
 (2000324,'2007-06-18 00:00:00','EFFECTIF',-57.6,'CHQ.6125705','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000325,'2007-06-18 00:00:00','EFFECTIF',-115.2,'CHQ.6125706','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000326,'2007-06-18 00:00:00','EFFECTIF',-1.7,'CARTE AUTOROUTE DU SUD 12/06/07','DEBIT',NULL,'Peage','90774561000','.',1),
 (2000327,'2007-06-18 00:00:00','EFFECTIF',-149,'CARTE JULES 154        16/06/07','DEBIT',NULL,'Habillement','90774561000','.',0),
 (2000328,'2007-06-18 00:00:00','EFFECTIF',-9.7,'CARTE KIOSQUE PIZZAS   17/06/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000329,'2007-06-18 00:00:00','EFFECTIF',-17.43,'CARTE BRICOMARCHE      16/06/07','DEBIT',NULL,'Travaux','90774561000','.',1),
 (2000330,'2007-06-18 00:00:00','EFFECTIF',-32.8,'CARTE CENTRE LECLERC   16/06/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000331,'2007-06-19 00:00:00','EFFECTIF',245.26,'REM.4012859 190607         00001','CREDIT',NULL,NULL,'90774561000','.',NULL),
 (2000332,'2007-06-19 00:00:00','EFFECTIF',-35,'CHQ.6125703','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000333,'2007-06-19 00:00:00','EFFECTIF',-8.4,'CARTE HOPITAL          18/06/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000334,'2007-06-20 00:00:00','EFFECTIF',-10,'CARTE BRASS.L\'INDUSTRI 19/06/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000335,'2007-06-21 00:00:00','EFFECTIF',-10.2,'CARTE BRASS.L\'INDUSTRI 20/06/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000336,'2007-06-21 00:00:00','EFFECTIF',-12.2,'CARTE BRASS.L\'INDUSTRI 20/06/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000337,'2007-06-22 00:00:00','EFFECTIF',-8.3,'CARTE BUREAU VALLEE    21/06/07','DEBIT',NULL,'Maison','90774561000','.',0),
 (2000338,'2007-06-22 00:00:00','EFFECTIF',-10,'CARTE BRASS.L\'INDUSTRI 21/06/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000339,'2007-06-25 00:00:00','EFFECTIF',-18,'PRLV   ORANGE FRANCE SA','DEBIT','CARTE','Telephone','90774561000','006252230495837974         50',1),
 (2000340,'2007-06-25 00:00:00','EFFECTIF',-18,'PRLV   ORANGE FRANCE SA','DEBIT','CARTE','Telephone','90774561000','009375659075022413         50',1),
 (2000341,'2007-06-25 00:00:00','EFFECTIF',-15.2,'CARTE LE NAPOLI        19/06/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000342,'2007-06-25 00:00:00','EFFECTIF',-15.9,'CARTE DOMI..CO         22/06/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000343,'2007-06-25 00:00:00','EFFECTIF',-41.16,'CARTE HYPER U - DAC    22/06/07','DEBIT',NULL,'Essence','90774561000','.',1),
 (2000344,'2007-06-25 00:00:00','EFFECTIF',-16,'CARTE PHIE DE LA MARIN 23/06/07','DEBIT',NULL,'Pharmacie','90774561000','.',0),
 (2000345,'2007-06-25 00:00:00','EFFECTIF',-45.53,'CARTE LECLERC STATION  22/06/07','DEBIT',NULL,'Essence','90774561000','.',1),
 (2000346,'2007-06-25 00:00:00','EFFECTIF',-125,'CARTE CHRISTINE LINGE  23/06/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000347,'2007-06-26 00:00:00','EFFECTIF',2547.04,'VIR    ATOS ORIGIN INTEGRAT','CREDIT','DIRECTDEP','Virement','90774561000','.',1),
 (2000348,'2007-06-26 00:00:00','EFFECTIF',-15.6,'CARTE BOULANG DES ECHO 25/06/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000349,'2007-06-26 00:00:00','EFFECTIF',-30,'CARTE PASTEL CADRE     25/06/07','DEBIT',NULL,'Loisirs','90774561000','.',0),
 (2000350,'2007-06-26 00:00:00','EFFECTIF',-11,'CARTE BRASS.L\'INDUSTRI 25/06/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000351,'2007-06-27 00:00:00','EFFECTIF',-47.42,'CARTE LECLERC STATION  26/06/07','DEBIT',NULL,'Essence','90774561000','.',1),
 (2000352,'2007-06-27 00:00:00','EFFECTIF',-59,'CARTE LE CLUB          26/06/07','DEBIT',NULL,'Cinema','90774561000','.',0),
 (2000353,'2007-06-28 00:00:00','EFFECTIF',2151.21,'VIR    FIAT FINANCE ET SERVICES','CREDIT','DIRECTDEP','Virement','90774561000','SALAIRES 06/2007 CNH COEX',1),
 (2000354,'2007-06-28 00:00:00','EFFECTIF',-30,'CHQ.6125645','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000355,'2007-06-28 00:00:00','EFFECTIF',-20,'RET DAB CHALLANS        270607','DEBIT',NULL,'Retrait espece','90774561000','.',1),
 (2000356,'2007-06-28 00:00:00','EFFECTIF',-34.1,'CARTE CENTRE LECLERC   26/06/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000357,'2007-06-28 00:00:00','EFFECTIF',-123.5,'CARTE PEUGEOT          27/06/07','DEBIT',NULL,'Voiture','90774561000','.',1),
 (2000358,'2007-06-28 00:00:00','EFFECTIF',-262.59,'CHQ.6125646 179411877','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000359,'2007-06-29 00:00:00','EFFECTIF',-45,'VIR.ECH.PEL 90774561320','DEBIT','XFER','Virement','90774561000','.',1),
 (2000360,'2007-06-29 00:00:00','EFFECTIF',-75.62,'TIP    EDF TIP            CC064','DEBIT','CARTE','Electricite','90774561000','561122 000000014316138730524115',1),
 (2000361,'2007-06-29 00:00:00','EFFECTIF',-115.2,'CHQ.6125647','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000362,'2007-06-29 00:00:00','EFFECTIF',-15.9,'CARTE KIOSQUE PIZZAS   28/06/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000363,'2007-06-29 00:00:00','EFFECTIF',-26,'CARTE SALON ARAMIS     28/06/07','DEBIT',NULL,'Coiffeur','90774561000','.',1),
 (2000364,'2007-07-02 00:00:00','EFFECTIF',-50,'VIR.NIMAL  CAROLINE','DEBIT','XFER','Virement','90774561000','.',1),
 (2000365,'2007-07-02 00:00:00','EFFECTIF',-150,'VIR.VACANCES','DEBIT','XFER','Virement','90774561000','.',1),
 (2000366,'2007-07-02 00:00:00','EFFECTIF',-200,'VIR.IMPOTS','DEBIT','XFER','Virement','90774561000','.',1),
 (2000367,'2007-07-02 00:00:00','EFFECTIF',-200,'VIR.TRAVAUX','DEBIT','XFER','Virement','90774561000','.',1),
 (2000368,'2007-07-02 00:00:00','EFFECTIF',-400,'VIR.GUERARD  SIMON','DEBIT','XFER','Virement','90774561000','.',1),
 (2000369,'2007-07-02 00:00:00','EFFECTIF',-8,'CARTE ORANGE CMO       29/06/07','DEBIT',NULL,'Telephone','90774561000','.',1),
 (2000370,'2007-07-02 00:00:00','EFFECTIF',-12.05,'CARTE RELAIS TREILLERE 29/06/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000371,'2007-07-02 00:00:00','EFFECTIF',-48.34,'CARTE REL.MONTSTMICHEL 29/06/07','DEBIT',NULL,'Essence','90774561000','.',0),
 (2000372,'2007-07-02 00:00:00','EFFECTIF',-67.92,'CARTE PASTEL CADRE     29/06/07','DEBIT',NULL,'Loisirs','90774561000','.',1),
 (2000373,'2007-07-02 00:00:00','EFFECTIF',403.1,'AVOIR SNCFTPV CHALLANS 29/06/07','CREDIT','AUTRE','Train','90774561000','.',1),
 (2000374,'2007-07-03 00:00:00','EFFECTIF',-216,'CHQ.6125708','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000375,'2007-07-03 00:00:00','EFFECTIF',-799.25,'CARTE FNAC             01/07/07','DEBIT',NULL,'Loisirs','90774561000','.',0),
 (2000376,'2007-07-03 00:00:00','EFFECTIF',-12,'CARTE SARL DUBUISSON   02/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000377,'2007-07-03 00:00:00','EFFECTIF',-15.95,'CARTE XANAKA 6090 VAL. 02/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000378,'2007-07-03 00:00:00','EFFECTIF',-98,'CARTE FRANCE ARNO      02/07/07','DEBIT',NULL,'Habillement','90774561000','.',0),
 (2000379,'2007-07-04 00:00:00','EFFECTIF',-58.72,'PRLVT ASSURANCE PRET','DEBIT','AUTRE','Assurance','90774561000','.',1),
 (2000380,'2007-07-04 00:00:00','EFFECTIF',-43.68,'VERSEMENT PEA','DEBIT','AUTRE','Epargne','90774561000','.',1),
 (2000381,'2007-07-04 00:00:00','EFFECTIF',-43.68,'VERSEMENT PEA','DEBIT','AUTRE','Epargne','90774561000','.',1),
 (2000382,'2007-07-04 00:00:00','EFFECTIF',-5,'CARTE PONTS TANC-NORM  29/06/07','DEBIT',NULL,'Peage','90774561000','.',0),
 (2000383,'2007-07-04 00:00:00','EFFECTIF',-50,'CHQ.6125649','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000384,'2007-07-04 00:00:00','EFFECTIF',-8.9,'CARTE AUTOROUTE DU SUD 29/06/07','DEBIT',NULL,'Peage','90774561000','.',1),
 (2000385,'2007-07-03 22:00:00','EFFECTIF',-12.2,'CARTE SANEF 2606-0207  30/06/07','DEBIT',NULL,'Peage','90774561000','.',0),
 (2000386,'2007-07-05 00:00:00','EFFECTIF',-116.1,'ECH  PRET  70005687550 07/07','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000387,'2007-07-05 00:00:00','EFFECTIF',-128.91,'ECH  PRET  70005687576 07/07','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000388,'2007-07-05 00:00:00','EFFECTIF',-687.84,'ECH  PRET  70005687568 07/07','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000389,'2007-07-05 00:00:00','EFFECTIF',-27,'PRLV   SAUR','DEBIT','CARTE','Eau','90774561000','450000000003120014072005',1),
 (2000390,'2007-07-06 00:00:00','EFFECTIF',-3.5,'CARTE SAEM SORELI      05/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000391,'2007-07-06 00:00:00','EFFECTIF',-10.6,'CARTE SAPN 2906        29/06/07','DEBIT',NULL,'Peage','90774561000','.',0),
 (2000392,'2007-07-06 00:00:00','EFFECTIF',-54.72,'CARTE REL. TEMPLEUVE   05/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000393,'2007-07-06 00:00:00','EFFECTIF',-54.89,'CARTE R FNAC LILLE     05/07/07','DEBIT',NULL,'Loisirs','90774561000','.',1),
 (2000394,'2007-07-09 00:00:00','EFFECTIF',-2.6,'**COTIS CS CONFORT','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000395,'2007-07-09 00:00:00','EFFECTIF',-17.76,'PRLV   ASS PACIFICA','DEBIT','CARTE','Assurance','90774561000','6322049985583906022ASS PACIFICA',1),
 (2000396,'2007-07-09 00:00:00','EFFECTIF',-50.14,'CARTE DAC SUPER U      08/07/07','DEBIT',NULL,'Essence','90774561000','.',0),
 (2000397,'2007-07-09 00:00:00','EFFECTIF',-72.6,'CHQ.6125709','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000398,'2007-07-09 00:00:00','EFFECTIF',-10.64,'CARTE AUCHAN STATION   07/07/07','DEBIT',NULL,'Essence','90774561000','.',0),
 (2000399,'2007-07-09 00:00:00','EFFECTIF',-52,'CARTE QUINTE ET SENS   06/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000400,'2007-07-10 00:00:00','EFFECTIF',200,'VIR.GUERARD*SIMON','CREDIT','DIRECTDEP','Virement','90774561000','VACANCES NORD',1),
 (2000401,'2007-07-10 00:00:00','EFFECTIF',-1.15,'INT. DEBITEURS (TEG: 15 686  )','DEBIT','AUTRE',NULL,'90774561000','.',NULL),
 (2000402,'2007-07-10 00:00:00','EFFECTIF',-213.95,'PRLV   FILIA-MAIF 79076 NIORT C','DEBIT','CARTE','Assurance','90774561000','6013839J',1),
 (2000403,'2007-07-10 00:00:00','EFFECTIF',-5,'CARTE PONTS TANC-NORM  08/07/07','DEBIT',NULL,'Peage','90774561000','.',1),
 (2000404,'2007-07-10 00:00:00','EFFECTIF',-6.36,'CARTE RESTAURECO       09/07/07','DEBIT',NULL,'Restaurant Entreprise','90774561000','.',1),
 (2000405,'2007-07-11 00:00:00','EFFECTIF',-21,'CHQ.6125648','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000406,'2007-07-11 00:00:00','EFFECTIF',-10,'CARTE CHEZ LES FILLES  10/07/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000407,'2007-07-11 00:00:00','EFFECTIF',-12.2,'CARTE SANEF 0307-0907  08/07/07','DEBIT',NULL,'Peage','90774561000','.',1),
 (2000408,'2007-07-12 00:00:00','EFFECTIF',-29.99,'PRLV   FREE TELECOM','DEBIT','CARTE','Internet','90774561000','FREE HAUTDEBIT 70644744',1),
 (2000409,'2007-07-12 00:00:00','EFFECTIF',-28.42,'CARTE HYPER U          11/07/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000410,'2007-07-12 00:00:00','EFFECTIF',-6.36,'CARTE RESTAURECO       11/07/07','DEBIT',NULL,'Restaurant Entreprise','90774561000','.',1),
 (2000411,'2007-07-12 00:00:00','EFFECTIF',-10.6,'CARTE SAPN 0807        08/07/07','DEBIT',NULL,'Peage','90774561000','.',1),
 (2000412,'2007-07-12 00:00:00','EFFECTIF',-17.6,'CARTE LA PALETTE       10/07/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000413,'2007-07-13 00:00:00','EFFECTIF',-20,'CARTE RESTAURECO       12/07/07','DEBIT',NULL,'Restaurant Entreprise','90774561000','.',1),
 (2000414,'2007-07-14 00:00:00','EFFECTIF',200,'VIR.GUERARD*SIMON','CREDIT','DIRECTDEP','Virement','90774561000','RENFLOUEMENT',1),
 (2000415,'2007-07-16 00:00:00','EFFECTIF',-24,'PRLV   EDF PRELEVTS VENDEE','DEBIT','CARTE','Electricite','90774561000','*138730520299 14316 739 EDF PR',1),
 (2000416,'2007-07-16 00:00:00','EFFECTIF',-45,'PRLV   PREDICA PREDISSIME 9','DEBIT','CARTE','Assurance','90774561000','*84700008517496*001UCM93',1),
 (2000417,'2007-07-16 00:00:00','EFFECTIF',-45,'PRLV   PREDICA PREDISSIME 9','DEBIT','CARTE','Assurance','90774561000','*84700002979760*001UCM93',1),
 (2000418,'2007-07-16 00:00:00','EFFECTIF',-14.9,'CARTE LE CABESTAN      15/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000419,'2007-07-16 00:00:00','EFFECTIF',-20,'RET DAB COEX            130707','DEBIT',NULL,'Retrait espece','90774561000','.',1),
 (2000420,'2007-07-16 00:00:00','EFFECTIF',-11.7,'CARTE BOUL PAUL 124    13/07/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000421,'2007-07-16 00:00:00','EFFECTIF',-14.2,'CARTE CINEMARINE       15/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000422,'2007-07-15 22:00:00','EFFECTIF',-21.1,'CARTE LA TABLE NOMADE  13/07/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000423,'2007-07-16 00:00:00','EFFECTIF',-47.17,'CARTE HYPER U STATION  15/07/07','DEBIT',NULL,'Essence','90774561000','.',0),
 (2000424,'2007-07-17 00:00:00','EFFECTIF',-5.9,'CARTE DOMI..CO         16/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000425,'2007-07-18 00:00:00','EFFECTIF',-1.7,'CARTE AUTOROUTE DU SUD 16/07/07','DEBIT',NULL,'Peage','90774561000','.',1),
 (2000426,'2007-07-18 00:00:00','EFFECTIF',-38.28,'CARTE LECLERC / DAC    16/07/07','DEBIT',NULL,'Essence','90774561000','.',1),
 (2000427,'2007-07-19 00:00:00','EFFECTIF',-26.78,'CARTE HYPER U          18/07/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000428,'2007-07-19 00:00:00','EFFECTIF',-7.2,'CARTE BOUL PAUL 124    18/07/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000429,'2007-07-20 00:00:00','EFFECTIF',-51.6,'CARTE ETS YVERNOGEAU   19/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000430,'2007-07-20 00:00:00','EFFECTIF',-12.1,'CARTE LE GRILLON       19/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000431,'2007-07-23 00:00:00','EFFECTIF',-18,'PRLV   ORANGE FRANCE SA','DEBIT','CARTE','Telephone','90774561000','006252230495631201         50',1),
 (2000432,'2007-07-23 00:00:00','EFFECTIF',-12.2,'CARTE QUICK            20/07/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000433,'2007-07-22 22:00:00','EFFECTIF',-42.15,'CARTE CARREFOUR  STAT  20/07/07','DEBIT',NULL,'Essence','90774561000','.',0),
 (2000434,'2007-07-23 00:00:00','EFFECTIF',-20,'CARTE RESTAURECO       20/07/07','DEBIT',NULL,'Restaurant Entreprise','90774561000','.',1),
 (2000435,'2007-07-23 00:00:00','EFFECTIF',-45.69,'CARTE BP/MOBIL EN PON  22/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000436,'2007-07-24 00:00:00','EFFECTIF',-17.6,'CARTE ETS YVERNOGEAU   23/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000437,'2007-07-25 00:00:00','EFFECTIF',-9.2,'CARTE KIOSQUE PIZZAS   24/07/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000438,'2007-07-25 00:00:00','EFFECTIF',-19.9,'CARTE CATA OUTILS      24/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000439,'2007-07-25 00:00:00','EFFECTIF',-48.3,'CARTE AUTOROUTE DU SUD 22/07/07','DEBIT',NULL,'Peage','90774561000','.',0),
 (2000440,'2007-07-27 00:00:00','EFFECTIF',-18,'PRLV   ORANGE FRANCE SA','DEBIT','CARTE','Telephone','90774561000','009375659075643023         50',1),
 (2000441,'2007-07-27 00:00:00','EFFECTIF',-17.5,'CARTE LA GUINGUETTE    26/07/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000442,'2007-07-27 00:00:00','EFFECTIF',-40,'RET DAB NANTES          260707','DEBIT',NULL,'Retrait espece','90774561000','.',1),
 (2000443,'2007-07-27 00:00:00','EFFECTIF',-36.8,'CHQ.6125710','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000444,'2007-07-27 00:00:00','EFFECTIF',-47.76,'CARTE SA BELVER        26/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000445,'2007-07-27 00:00:00','EFFECTIF',-134.72,'CARTE KILOUTOU SA      26/07/07','DEBIT',NULL,'Travaux','90774561000','.',1),
 (2000446,'2007-07-30 00:00:00','EFFECTIF',3269.91,'VIR    FIAT FINANCE ET SERVICES','CREDIT','DIRECTDEP','Virement','90774561000','SALAIRES 07/2007 CNH COEX',1),
 (2000447,'2007-07-30 00:00:00','EFFECTIF',-4.7,'CARTE ETS YVERNOGEAU   27/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000448,'2007-07-30 00:00:00','EFFECTIF',-15.6,'CARTE DESPRET PRESSE   27/07/07','DEBIT',NULL,'Librairie','90774561000','.',1),
 (2000449,'2007-07-30 00:00:00','EFFECTIF',1707.12,'VIR    NEO-SOFT IS','CREDIT','DIRECTDEP','Virement','90774561000','SALARIE  0000000049',1),
 (2000450,'2007-07-30 00:00:00','EFFECTIF',-7.5,'CARTE COFIROUTE        27/07/07','DEBIT',NULL,'Peage','90774561000','.',1),
 (2000451,'2007-07-30 00:00:00','EFFECTIF',-11.5,'CARTE SHELL 2141       27/07/07','DEBIT',NULL,'Essence','90774561000','.',0),
 (2000452,'2007-07-30 00:00:00','EFFECTIF',-22.4,'CARTE KILOUTOU SA      27/07/07','DEBIT',NULL,'Travaux','90774561000','.',0),
 (2000453,'2007-07-30 00:00:00','EFFECTIF',-51.34,'CARTE DYNEFF           29/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000454,'2007-07-31 00:00:00','EFFECTIF',-45,'VIR.ECH.PEL 90774561320','DEBIT','XFER','Virement','90774561000','.',1),
 (2000455,'2007-07-31 00:00:00','EFFECTIF',1726.29,'VIR    STE ATOS ORIGIN INTE','CREDIT','DIRECTDEP','Virement','90774561000','.',1),
 (2000456,'2007-07-30 22:00:00','EFFECTIF',-20,'CARTE RESTAURECO       30/07/07','DEBIT',NULL,'Restaurant Entreprise','90774561000','.',0),
 (2000457,'2007-08-01 00:00:00','EFFECTIF',-4.98,'CHQ.6125650','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000458,'2007-08-01 00:00:00','EFFECTIF',-50,'VIR.NIMAL  CAROLINE','DEBIT','XFER','Virement','90774561000','.',1),
 (2000459,'2007-08-01 00:00:00','EFFECTIF',-150,'VIR.VACANCES','DEBIT','XFER','Virement','90774561000','.',1),
 (2000460,'2007-08-01 00:00:00','EFFECTIF',-200,'VIR.IMPOTS','DEBIT','XFER','Virement','90774561000','.',1),
 (2000461,'2007-08-01 00:00:00','EFFECTIF',-200,'VIR.TRAVAUX','DEBIT','XFER','Virement','90774561000','.',1),
 (2000462,'2007-08-01 00:00:00','EFFECTIF',-400,'VIR.GUERARD  SIMON','DEBIT','XFER','Virement','90774561000','.',1),
 (2000463,'2007-08-01 00:00:00','EFFECTIF',-10.4,'CARTE HYPER U          31/07/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000464,'2007-08-01 00:00:00','EFFECTIF',-19.7,'CARTE AUTOROUTE DU SUD 29/07/07','DEBIT',NULL,'Peage','90774561000','.',1),
 (2000465,'2007-08-01 00:00:00','EFFECTIF',-41.72,'CARTE CENTRE LECLERC   30/07/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000466,'2007-08-01 00:00:00','EFFECTIF',-505,'CARTE CENTRE LECLERC   30/07/07','DEBIT',NULL,'Bouffe','90774561000','.',0),
 (2000467,'2007-08-02 00:00:00','EFFECTIF',-5.43,'CHQ.6125711','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000468,'2007-08-02 00:00:00','EFFECTIF',-10.02,'CARTE PHARMACIE BITAUD 01/08/07','DEBIT',NULL,'Pharmacie','90774561000','.',0),
 (2000469,'2007-08-02 00:00:00','EFFECTIF',-15.6,'CARTE LA GRANGE        31/07/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000470,'2007-08-02 00:00:00','EFFECTIF',-38,'CARTE PAIRE FERME AUBE 01/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000471,'2007-08-03 00:00:00','EFFECTIF',-58.72,'PRLVT ASSURANCE PRET','DEBIT','AUTRE','Assurance','90774561000','.',1),
 (2000472,'2007-08-03 00:00:00','EFFECTIF',-41.21,'CARTE HYPER U - DAC    02/08/07','DEBIT',NULL,'Essence','90774561000','.',1),
 (2000473,'2007-08-03 00:00:00','EFFECTIF',-14,'CARTE LA FLORENTINE    02/08/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000474,'2007-08-04 00:00:00','EFFECTIF',-1700,'VIR.MLLE NIMAL CAROLINE','DEBIT','XFER','Virement','90774561000','INTERNET',1),
 (2000475,'2007-08-04 00:00:00','EFFECTIF',100,'VIR.NIMAL*CAROLINE','CREDIT','DIRECTDEP','Virement','90774561000','RMBT HABIT',1),
 (2000476,'2007-08-04 00:00:00','EFFECTIF',-100,'VIR.M. GUERARD SIMON','DEBIT','XFER','Virement','90774561000','INTERNET',1),
 (2000477,'2007-08-04 00:00:00','EFFECTIF',170,'REM.7416809 040807         00002','CREDIT',NULL,NULL,'90774561000','.',NULL),
 (2000478,'2007-08-06 00:00:00','EFFECTIF',-116.1,'ECH  PRET  70005687550 08/07','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000479,'2007-08-06 00:00:00','EFFECTIF',-128.91,'ECH  PRET  70005687576 08/07','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000480,'2007-08-06 00:00:00','EFFECTIF',-687.84,'ECH  PRET  70005687568 08/07','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000481,'2007-08-06 00:00:00','EFFECTIF',-27,'PRLV   SAUR','DEBIT','CARTE','Eau','90774561000','450000000003120014072006',0),
 (2000482,'2007-08-06 00:00:00','EFFECTIF',-30,'CHQ.6125651','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000483,'2007-08-06 00:00:00','EFFECTIF',-43.09,'VERSEMENT PEA','DEBIT','AUTRE','Epargne','90774561000','.',1),
 (2000484,'2007-08-06 00:00:00','EFFECTIF',-43.09,'VERSEMENT PEA','DEBIT','AUTRE','Epargne','90774561000','.',1),
 (2000485,'2007-08-06 00:00:00','EFFECTIF',-12.9,'CARTE DESPRET PRESSE   04/08/07','DEBIT',NULL,'Librairie','90774561000','.',0),
 (2000486,'2007-08-06 00:00:00','EFFECTIF',-16.9,'CARTE DESPRET PRESSE   04/08/07','DEBIT',NULL,'Librairie','90774561000','.',1),
 (2000487,'2007-08-06 00:00:00','EFFECTIF',-38.51,'CARTE HYPER U          04/08/07','DEBIT',NULL,'Bouffe','90774561000','.',0),
 (2000488,'2007-08-06 00:00:00','EFFECTIF',-49.9,'CARTE HYPER U          04/08/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000489,'2007-08-06 00:00:00','EFFECTIF',-30,'CARTE FORMUL           04/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000490,'2007-08-07 00:00:00','EFFECTIF',-2.6,'**COTIS CS CONFORT','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000491,'2007-08-07 00:00:00','EFFECTIF',-213.95,'PRLV   FILIA-MAIF 79076 NIORT C','DEBIT','CARTE','Assurance','90774561000','6013839J',0),
 (2000492,'2007-08-07 00:00:00','EFFECTIF',-20,'CARTE RESTAURECO       06/08/07','DEBIT',NULL,'Restaurant Entreprise','90774561000','.',1),
 (2000493,'2007-08-07 00:00:00','EFFECTIF',-44.33,'CARTE CENTRE LECLERC   05/08/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000494,'2007-08-08 00:00:00','EFFECTIF',-50,'VIR.M. GUERARD SIMON','DEBIT','XFER','Virement','90774561000','VACANCES',1),
 (2000495,'2007-08-08 00:00:00','EFFECTIF',50,'VIR.GUERARD*SIMON','CREDIT','DIRECTDEP','Virement','90774561000','ANNUL VIR',1),
 (2000496,'2007-08-09 00:00:00','EFFECTIF',-8.7,'CARTE KIOSQUE PIZZAS   07/08/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000497,'2007-08-09 00:00:00','EFFECTIF',-19,'CARTE LA DESIRADE      07/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000498,'2007-08-09 00:00:00','EFFECTIF',-17.76,'PRLV   ASS PACIFICA','DEBIT','CARTE','Assurance','90774561000','8720050862740906022ASS PACIFICA',1),
 (2000499,'2007-08-09 00:00:00','EFFECTIF',-9.5,'CARTE LA DESIRADE      08/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000500,'2007-08-09 00:00:00','EFFECTIF',-12.96,'CARTE TABACS JOURNAUX  08/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000501,'2007-08-09 00:00:00','EFFECTIF',-20,'CARTE RESTAURECO       08/08/07','DEBIT',NULL,'Restaurant Entreprise','90774561000','.',1),
 (2000502,'2007-08-09 00:00:00','EFFECTIF',-48.49,'CARTE PHARMACIE BITAUD 07/08/07','DEBIT',NULL,'Pharmacie','90774561000','.',1),
 (2000503,'2007-08-10 00:00:00','EFFECTIF',-59.88,'TIP    GAZ DE FRANCE','DEBIT','CARTE','Gaz','90774561000','813730 000000014316138730524115',1),
 (2000504,'2007-08-10 00:00:00','EFFECTIF',-9.5,'CARTE LA DESIRADE      09/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000505,'2007-08-10 00:00:00','EFFECTIF',-15.6,'CARTE LA CORVETTE      09/08/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000506,'2007-08-13 00:00:00','EFFECTIF',-29.99,'PRLV   FREE TELECOM','DEBIT','CARTE','Internet','90774561000','FREE HAUTDEBIT 75869955',0),
 (2000507,'2007-08-13 00:00:00','EFFECTIF',-106.5,'CHQ.6125714','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000508,'2007-08-13 00:00:00','EFFECTIF',-108,'CHQ.6125712','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000509,'2007-08-13 00:00:00','EFFECTIF',-18.4,'CARTE EUROPALACES NANT 10/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000510,'2007-08-13 00:00:00','EFFECTIF',-24.2,'CARTE MALEO            10/08/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000511,'2007-08-13 00:00:00','EFFECTIF',-48.73,'CARTE LIB L ATALANTE   10/08/07','DEBIT',NULL,'Librairie','90774561000','.',1),
 (2000512,'2007-08-14 00:00:00','EFFECTIF',-9.9,'CARTE SNCFTPV CHALLANS 10/08/07','DEBIT',NULL,'Train','90774561000','.',0),
 (2000513,'2007-08-14 00:00:00','EFFECTIF',-42.58,'CARTE CENTRE LECLERC   10/08/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000514,'2007-08-14 00:00:00','EFFECTIF',-57.84,'CARTE JB SERVICE       11/08/07','DEBIT',NULL,'Travaux','90774561000','.',0),
 (2000515,'2007-08-14 00:00:00','EFFECTIF',-48.1,'CARTE REL.DE VERTOU    13/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000516,'2007-08-14 00:00:00','EFFECTIF',-64.22,'CARTE BRICOMARCHE      13/08/07','DEBIT',NULL,'Travaux','90774561000','.',0),
 (2000517,'2007-08-16 00:00:00','EFFECTIF',-24,'PRLV   EDF PRELEVTS VENDEE','DEBIT','CARTE','Electricite','90774561000','*138730520299 14316 739 EDF PR',0),
 (2000518,'2007-08-16 00:00:00','EFFECTIF',-45,'PRLV   PREDICA PREDISSIME 9','DEBIT','CARTE','Assurance','90774561000','*84700008517496*001UCM93',0),
 (2000519,'2007-08-16 00:00:00','EFFECTIF',-45,'PRLV   PREDICA PREDISSIME 9','DEBIT','CARTE','Assurance','90774561000','*84700002979760*001UCM93',1),
 (2000520,'2007-08-16 00:00:00','EFFECTIF',-4.59,'CARTE HYPER U          14/08/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000521,'2007-08-16 00:00:00','EFFECTIF',-5.99,'CARTE LA HALLE         15/08/07','DEBIT',NULL,'Habillement','90774561000','.',0),
 (2000522,'2007-08-16 00:00:00','EFFECTIF',-7.79,'CARTE RESTAURECO       14/08/07','DEBIT',NULL,'Restaurant Entreprise','90774561000','.',1),
 (2000523,'2007-08-16 00:00:00','EFFECTIF',-10.7,'CARTE COFIROUTE        15/08/07','DEBIT',NULL,'Peage','90774561000','.',0),
 (2000524,'2007-08-16 00:00:00','EFFECTIF',-20,'RET DAB  VILLERS EN PL  150807','DEBIT',NULL,'Retrait espece','90774561000','.',1),
 (2000525,'2007-08-16 00:00:00','EFFECTIF',-30,'CARTE L\'ECREVISSE      15/08/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000526,'2007-08-16 00:00:00','EFFECTIF',-47.48,'CARTE ESPACE CULTUREL  15/08/07','DEBIT',NULL,'Loisirs','90774561000','.',0),
 (2000527,'2007-08-17 00:00:00','EFFECTIF',-20,'RET DAB MILLAU MARCHE   150807','DEBIT',NULL,'Retrait espece','90774561000','.',1),
 (2000528,'2007-08-17 00:00:00','EFFECTIF',-28,'CARTE EURL PANAFIEU    16/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000529,'2007-08-20 00:00:00','EFFECTIF',-0.6,'CARTE AUTOROUTE DU SUD 15/08/07','DEBIT',NULL,'Peage','90774561000','.',1),
 (2000530,'2007-08-20 00:00:00','EFFECTIF',-10.4,'CARTE CARREFOURSTATION 19/08/07','DEBIT',NULL,'Essence','90774561000','.',0),
 (2000531,'2007-08-20 00:00:00','EFFECTIF',-28.9,'CARTE SHELL 1349       19/08/07','DEBIT',NULL,'Essence','90774561000','.',0),
 (2000532,'2007-08-20 00:00:00','EFFECTIF',-33.58,'CARTE SUPER K          19/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000533,'2007-08-21 00:00:00','EFFECTIF',-37.5,'CARTE HYPER U          20/08/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000534,'2007-08-21 00:00:00','EFFECTIF',-18.8,'CHQ.6125719','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000535,'2007-08-21 00:00:00','EFFECTIF',-6.6,'CARTE FNAC.COM         20/08/07','DEBIT',NULL,'Loisirs','90774561000','.',0),
 (2000536,'2007-08-21 00:00:00','EFFECTIF',-16,'CARTE LA CORVETTE      20/08/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000537,'2007-08-21 00:00:00','EFFECTIF',-33.1,'CARTE LA TERRASSE      20/08/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000538,'2007-08-22 00:00:00','EFFECTIF',-2.6,'CARTE CINEBANK - JETON 21/08/07','DEBIT',NULL,'Cinema','90774561000','.',1),
 (2000539,'2007-08-22 00:00:00','EFFECTIF',-48.39,'CARTE HYPER U - DAC    21/08/07','DEBIT',NULL,'Essence','90774561000','.',1),
 (2000540,'2007-08-22 00:00:00','EFFECTIF',-48.4,'CARTE AUTOROUTE DU SUD 20/08/07','DEBIT',NULL,'Peage','90774561000','.',1),
 (2000541,'2007-08-22 00:00:00','EFFECTIF',-90.6,'CARTE GIFI             21/08/07','DEBIT',NULL,'Maison','90774561000','.',0),
 (2000542,'2007-08-22 00:00:00','EFFECTIF',-128.48,'CARTE JB SERVICE       21/08/07','DEBIT',NULL,'Travaux','90774561000','.',1),
 (2000543,'2007-08-22 00:00:00','EFFECTIF',250,'VIR.GUERARD*SIMON','CREDIT','DIRECTDEP','Virement','90774561000','VACANCES',1),
 (2000544,'2007-08-22 00:00:00','EFFECTIF',250,'VIR.NIMAL*CAROLINE','CREDIT','DIRECTDEP','Virement','90774561000','MAISON   TRAVAUX',1),
 (2000545,'2007-08-22 00:00:00','EFFECTIF',250,'VIR.NIMAL*CAROLINE','CREDIT','DIRECTDEP','Virement','90774561000','EPONGE',1),
 (2000546,'2007-08-23 00:00:00','EFFECTIF',-18,'PRLV   ORANGE FRANCE SA','DEBIT','CARTE','Telephone','90774561000','006252230495622468         50',0),
 (2000547,'2007-08-23 00:00:00','EFFECTIF',-2,'CARTE CINEBANK - JETON 22/08/07','DEBIT',NULL,'Cinema','90774561000','.',0),
 (2000548,'2007-08-23 00:00:00','EFFECTIF',-30,'RET DAB CFCMO ROCHE S/  220807','DEBIT',NULL,'Retrait espece','90774561000','.',1),
 (2000549,'2007-08-23 00:00:00','EFFECTIF',-45,'CARTE AMENDES CSA WEB  22/08/07','DEBIT',NULL,'Voiture','90774561000','.',0),
 (2000550,'2007-08-23 00:00:00','EFFECTIF',-11.85,'CARTE PICARD SURGELES  22/08/07','DEBIT',NULL,'Bouffe','90774561000','.',0),
 (2000551,'2007-08-23 00:00:00','EFFECTIF',-20.5,'CARTE LE BON PASTEUR   22/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000552,'2007-08-24 00:00:00','EFFECTIF',-24.8,'CHQ.6125716','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000553,'2007-08-24 00:00:00','EFFECTIF',-42,'CARTE ARCAZI CHAUSSUR  23/08/07','DEBIT',NULL,'Habillement','90774561000','.',0),
 (2000554,'2007-08-25 00:00:00','EFFECTIF',42,'VIR.GUERARD*SIMON','CREDIT','DIRECTDEP','Virement','90774561000','CHAUSSURE MARIAGE',1),
 (2000555,'2007-08-27 00:00:00','EFFECTIF',-18,'PRLV   ORANGE FRANCE SA','DEBIT','CARTE','Telephone','90774561000','009375659075127893         50',1),
 (2000556,'2007-08-27 00:00:00','EFFECTIF',-28.8,'CARTE LE SOLEIL LEVAN  25/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000557,'2007-08-27 00:00:00','EFFECTIF',-54,'CARTE WEBSNCF          24/08/07','DEBIT',NULL,'Train','90774561000','.',1),
 (2000558,'2007-08-27 00:00:00','EFFECTIF',-75.6,'CARTE WEBSNCF          24/08/07','DEBIT',NULL,'Train','90774561000','.',0),
 (2000559,'2007-08-27 00:00:00','EFFECTIF',-79.55,'CARTE CENTRE LECLERC   25/08/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000560,'2007-08-29 00:00:00','EFFECTIF',-30,'RET.DAB CHALLANS-2 11363','DEBIT',NULL,'Retrait espece','90774561000','.',1),
 (2000561,'2007-08-29 00:00:00','EFFECTIF',-16.6,'CARTE LE MOIRON        27/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000562,'2007-08-30 00:00:00','EFFECTIF',2211.3,'VIR    FIAT FINANCE ET SERVICES','CREDIT','DIRECTDEP','Virement','90774561000','SALAIRES 08/2007 CNH COEX',1),
 (2000563,'2007-08-30 00:00:00','EFFECTIF',2135.13,'VIR    NEO-SOFT IS','CREDIT','DIRECTDEP','Virement','90774561000','SALARIE  0000000049',1),
 (2000564,'2007-08-31 00:00:00','EFFECTIF',-45,'VIR.ECH.PEL 90774561320','DEBIT','XFER','Virement','90774561000','.',1),
 (2000565,'2007-08-31 00:00:00','EFFECTIF',-10,'CHQ.6125718','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000566,'2007-08-31 00:00:00','EFFECTIF',-28,'CHQ.6125717','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000567,'2007-08-31 00:00:00','EFFECTIF',-8.38,'CARTE BROUARD CLAUDE   30/08/07','DEBIT',NULL,'Bouffe','90774561000','.',0),
 (2000568,'2007-08-31 00:00:00','EFFECTIF',-49.24,'CARTE INTERMARCHE STA  30/08/07','DEBIT',NULL,'Essence','90774561000','.',0),
 (2000569,'2007-08-31 00:00:00','EFFECTIF',-1085.62,'CARTE PEUGEOT          30/08/07','DEBIT',NULL,'Voiture','90774561000','.',0),
 (2000570,'2007-09-01 00:00:00','EFFECTIF',-150,'VIR.IMPOTS','DEBIT','XFER','Virement','90774561000','.',1),
 (2000571,'2007-09-01 00:00:00','EFFECTIF',-350,'VIR.GUERARD  SIMON','DEBIT','XFER','Virement','90774561000','.',1),
 (2000572,'2007-09-01 00:00:00','EFFECTIF',-350,'VIR.GUERARD  SIMON','DEBIT','XFER','Virement','90774561000','.',1),
 (2000573,'2007-09-01 00:00:00','EFFECTIF',-500,'VIR.MARIAGE','DEBIT','XFER','Virement','90774561000','.',1),
 (2000574,'2007-09-03 00:00:00','EFFECTIF',-14.45,'CARTE H C PAUL NANTES2 31/08/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000575,'2007-09-03 00:00:00','EFFECTIF',-43,'CARTE MAGASIN NICOLAS  01/09/07','DEBIT',NULL,'Cadeau','90774561000','.',0),
 (2000576,'2007-09-03 00:00:00','EFFECTIF',350,'VIR.GUERARD*SIMON','CREDIT','DIRECTDEP','Virement','90774561000','ANNULATION VIREMENT EN TROP',1),
 (2000577,'2007-09-03 00:00:00','EFFECTIF',-11.1,'CARTE MES L4 ADUP      02/09/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000578,'2007-09-03 00:00:00','EFFECTIF',-15.1,'CARTE 017204 PAUL QUA5 02/09/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000579,'2007-09-03 00:00:00','EFFECTIF',-20.7,'CARTE EFFIA CSIONS     02/09/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000580,'2007-09-03 00:00:00','EFFECTIF',-49,'CARTE SNCF TPV         31/08/07','DEBIT',NULL,'Train','90774561000','.',0),
 (2000581,'2007-09-04 00:00:00','EFFECTIF',-13.8,'CARTE BRASSERIE MOULIN 03/09/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000582,'2007-09-05 00:00:00','EFFECTIF',-58.72,'PRLVT ASSURANCE PRET','DEBIT','AUTRE','Assurance','90774561000','.',1),
 (2000583,'2007-09-05 00:00:00','EFFECTIF',-116.1,'ECH  PRET  70005687550 09/07','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000584,'2007-09-05 00:00:00','EFFECTIF',-128.91,'ECH  PRET  70005687576 09/07','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000585,'2007-09-05 00:00:00','EFFECTIF',-687.84,'ECH  PRET  70005687568 09/07','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000586,'2007-09-05 00:00:00','EFFECTIF',-27,'PRLV   SAUR','DEBIT','CARTE','Eau','90774561000','450000000003120014072007',1),
 (2000587,'2007-09-05 00:00:00','EFFECTIF',-43.88,'VERSEMENT PEA','DEBIT','AUTRE','Epargne','90774561000','.',1),
 (2000588,'2007-09-05 00:00:00','EFFECTIF',-43.88,'VERSEMENT PEA','DEBIT','AUTRE','Epargne','90774561000','.',1),
 (2000589,'2007-09-05 00:00:00','EFFECTIF',-20,'RET DAB CFCMO LA ROCHE  310807','DEBIT',NULL,'Retrait espece','90774561000','.',1),
 (2000590,'2007-09-06 00:00:00','EFFECTIF',-24,'CARTE AU FOUR GAULOIS  16/08/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000591,'2007-09-06 00:00:00','EFFECTIF',-26.12,'CARTE HYPER U AIZENAY  05/09/07','DEBIT',NULL,'Bouffe','90774561000','.',0),
 (2000592,'2007-09-07 00:00:00','EFFECTIF',-213.95,'PRLV   FILIA-MAIF 79076 NIORT C','DEBIT','CARTE','Assurance','90774561000','6013839J',1),
 (2000593,'2007-09-07 00:00:00','EFFECTIF',-50,'CARTE ESPACE ARAGO     06/09/07','DEBIT',NULL,'Restaurant Entreprise','90774561000','.',1),
 (2000594,'2007-09-10 00:00:00','EFFECTIF',-2.6,'**COTIS CS CONFORT','DEBIT','AUTRE','Frais Bancaire','90774561000','.',1),
 (2000595,'2007-09-10 00:00:00','EFFECTIF',-17.76,'PRLV   ASS PACIFICA','DEBIT','CARTE','Assurance','90774561000','1060051773898906022ASS PACIFICA',1),
 (2000596,'2007-09-10 00:00:00','EFFECTIF',-80,'CHQ.6125713','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000597,'2007-09-10 00:00:00','EFFECTIF',-1.7,'CARTE AUTOROUTE DU SUD 06/09/07','DEBIT',NULL,'Peage','90774561000','.',1),
 (2000598,'2007-09-09 12:00:00','EFFECTIF',-20,'RET DAB CHALLANS        070907','DEBIT',NULL,'Retrait espece','90774561000','.',0),
 (2000599,'2007-09-10 00:00:00','EFFECTIF',-8.7,'CARTE KIOSQUE PIZZAS   09/09/07','DEBIT',NULL,'Restaurant','90774561000','.',1),
 (2000600,'2007-09-10 00:00:00','EFFECTIF',-47.22,'CARTE CENTRE LECLERC   08/09/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000601,'2007-09-11 00:00:00','EFFECTIF',-9.85,'CARTE DOMI..CO         10/09/07','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000602,'2007-09-12 00:00:00','EFFECTIF',-31.02,'PRLV   FREE TELECOM','DEBIT','CARTE','Internet','90774561000','FREE HAUTDEBIT 79107440',1),
 (2000603,'2007-09-12 00:00:00','EFFECTIF',-49.11,'CARTE HYPER U          11/09/07','DEBIT',NULL,'Bouffe','90774561000','.',1),
 (2000604,'2007-09-13 00:00:00','EFFECTIF',-88.5,'CHQ.6125715','DEBIT',NULL,NULL,'90774561000','.',NULL),
 (2000605,'2007-09-13 00:00:00','EFFECTIF',-14.7,'CARTE TARTINE   GOURMA 12/09/07','DEBIT',NULL,'Restaurant','90774561000','.',0),
 (2000606,'2007-09-13 00:00:00','EFFECTIF',-27.39,'CARTE DESPRET PRESSE   12/09/07','DEBIT',NULL,'Librairie','90774561000','.',1),
 (2000607,'2007-09-13 00:00:00','EFFECTIF',-41.56,'CARTE HYPER U - DAC    12/09/07','DEBIT',NULL,'Essence','90774561000','.',0),
 (2000608,'2007-09-13 00:00:00','EFFECTIF',-50,'CARTE ESPACE ARAGO     12/09/07','DEBIT',NULL,'Restaurant Entreprise','90774561000','.',0),
 (2000609,'2007-09-14 00:00:00','EFFECTIF',500,'VIR.NIMAL*CAROLINE','CREDIT','DIRECTDEP','Virement','90774561000','avance',1);
/*!40000 ALTER TABLE "operation" ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
