/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package test.net.simcafamily.paksou.businessComponent;

import net.simcafamily.paksou.businessComponent.IFichierBC;
import net.simcafamily.paksou.hibernate.HibernateUtil;
import net.simcafamily.paksou.spring.ContextFactory;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hibernate.cfg.Configuration;
import org.hibernate.tool.hbm2ddl.SchemaUpdate;

import test.net.simcafamily.paksou.test.BaseTest;

/**
 * The Class FichierBCTest.
 * 
 * @author $Author: simon@simcafamily.net $
 * @version $Revision: 406 $
 */
public class FichierBCTest extends BaseTest {

    /** The LOGGER. */
    Log LOGGER = LogFactory.getLog(FichierBCTest.class);

    /**
     * @see net.simcafamily.paksou.test.BaseTest#setUp()
     */
    @Override
    protected void setUp() throws Exception {
        LOGGER.info("mise a jour du schema de la base");
        final Configuration conf = HibernateUtil.getConfiguration();
        final SchemaUpdate schUpdate = new SchemaUpdate(conf);
        schUpdate.execute(true, true);
    }
    
    /**
     * Test import fichier.
     * 
     * @throws Exception
     *             the exception
     */
    public void testImportFichier() throws Exception {
        String fileName = "D:\\Applications\\Workspace\\Paksou\\CA20070703_1731.ofx";

        if (ClassLoader.getSystemResource("exports/CA20070914_0835.ofx") != null) {
	        fileName = ClassLoader.getSystemResource("exports/CA20070914_0835.ofx").getFile();
	        final IFichierBC cpteBC = (IFichierBC) ContextFactory.getContext().getBean("fichierBC");
	        cpteBC.importFichier(fileName);
        }
    }
}
