/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package test.net.simcafamily.paksou.businessObject;

import junit.framework.Assert;
import net.simcafamily.paksou.businessObject.IBanqueBO;
import net.simcafamily.paksou.hibernate.HibernateUtil;
import net.simcafamily.paksou.spring.ContextFactory;
import net.simcafamily.paksou.valueObject.BanqueVO;

import org.hibernate.cfg.Configuration;
import org.hibernate.tool.hbm2ddl.SchemaUpdate;
import org.junit.Before;

import test.net.simcafamily.paksou.test.BaseTest;

/**
 * The Class BanqueBOTest.
 * 
 * @author $Author: simon@simcafamily.net $
 * @version $Revision: 406 $
 */
public class BanqueBOTest extends BaseTest {

    /** The Constant NOM_BQE_1. */
    private static final String NOM_BQE_1 = "Banque de test";

    private final IBanqueBO acc = (IBanqueBO) ContextFactory.getContext().getBean("banqueBO");

    /**
     * @throws java.lang.Exception
     */
    @Override
    @Before
    public void setUp() throws Exception {
        final Configuration conf = HibernateUtil.getConfiguration();
        final SchemaUpdate schUpdate = new SchemaUpdate(conf);
        schUpdate.execute(true, true);
    }

    /**
     * Test persist.
     */
    public void testBanqueBO() {
        BanqueVO banque = this.acc.findByName(BanqueBOTest.NOM_BQE_1);
        if (banque == null) {
            banque = new BanqueVO();
            banque.setNom(BanqueBOTest.NOM_BQE_1);
            this.acc.persist(banque);

            final BanqueVO banque2 = this.acc.findByName(BanqueBOTest.NOM_BQE_1);
            Assert.assertNotNull(banque2);
            this.acc.delete(banque2);

            final BanqueVO banque3 = this.acc.findByName(BanqueBOTest.NOM_BQE_1);
            Assert.assertNull(banque3);
        } else {
            this.acc.delete(banque);
            final BanqueVO banque2 = this.acc.findByName(BanqueBOTest.NOM_BQE_1);
            Assert.assertNull(banque2);
        }
    }

}
