/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package test.net.simcafamily.paksou.businessObject;

import org.hibernate.cfg.Configuration;
import org.hibernate.tool.hbm2ddl.SchemaUpdate;

import junit.framework.Assert;
import net.simcafamily.paksou.businessObject.IGroupeBO;
import net.simcafamily.paksou.hibernate.HibernateUtil;
import net.simcafamily.paksou.spring.ContextFactory;
import net.simcafamily.paksou.valueObject.GroupeVO;
import test.net.simcafamily.paksou.test.BaseTest;

// TODO: Auto-generated Javadoc
/**
 * The Class GroupeBOTest.
 * 
 * @author $Author: simon@simcafamily.net $
 * @version $Revision: 406 $
 */
public class GroupeBOTest extends BaseTest {

    /** The Constant LIB_GROUPE. */
    private static final String LIB_GROUPE = "Test Maison";

    private final IGroupeBO acc = (IGroupeBO) ContextFactory.getContext().getBean("groupeBO");

    /**
     * Sets the up.
     * 
     * @throws Exception
     *             the exception
     * 
     * @see net.simcafamily.paksou.test.BaseTest#setUp()
     */
    @Override
    protected void setUp() throws Exception {
        final Configuration conf = HibernateUtil.getConfiguration();
        final SchemaUpdate schUpdate = new SchemaUpdate(conf);
        schUpdate.execute(true, true);
    }
    
    /**
     * Test persist.
     */
    public void testGroupBO() {
        GroupeVO groupe = this.acc.findById(GroupeBOTest.LIB_GROUPE);
        if (groupe == null) {
            groupe = new GroupeVO();
            groupe.setLibelle(GroupeBOTest.LIB_GROUPE);
            this.acc.persist(groupe);

            final GroupeVO groupe2 = this.acc.findById(GroupeBOTest.LIB_GROUPE);
            Assert.assertNotNull(groupe2);
            this.acc.delete(groupe2);

            final GroupeVO groupe3 = this.acc.findById(GroupeBOTest.LIB_GROUPE);
            Assert.assertNull(groupe3);
        } else {
            this.acc.delete(groupe);
            final GroupeVO groupe2 = this.acc.findById(GroupeBOTest.LIB_GROUPE);
            Assert.assertNull(groupe2);
        }
    }

}
