/******************************************************************
 * Copyright (c) 2007 - 2007, Simon Guerard, All rights reserved.
 * 
 * Projet de gestion de comptes bancaires.
 * 
 * This File is part of Paksou
 * 
 * Paksou is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * Paksou is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Paksou; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package test.net.simcafamily.paksou.test;

import junit.framework.TestCase;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * The Class BaseTest.
 * 
 * @author Simon Guerard
 * @version $Revision$
 */
public abstract class BaseTest extends TestCase {

    /** The Constant LOG. */
    private static final Log LOG = LogFactory.getLog(BaseTest.class);

    /**
     * Instantiates a new base test.
     */
    public BaseTest() {
        super();
        BaseTest.LOG.debug("BaseTest constructor");
    }

    /**
     * The Constructor.
     * 
     * @param name
     *            the name
     */
    public BaseTest(final String name) {
        super(name);
        BaseTest.LOG.debug("BaseTestCase constructor name=" + name);
    }

    /**
     * @see junit.framework.TestCase#setUp()
     */
    @Override
    protected void setUp() throws Exception {
        BaseTest.LOG.debug("setUp");

    }

    /**
     * @see junit.framework.TestCase#tearDown()
     */
    @Override
    protected void tearDown() {
        BaseTest.LOG.debug("tearDown");
    }

}
